Index: trunk/geant4/N03/g4_03.prim
===================================================================
--- trunk/geant4/N03/g4_03.prim	(revision 474)
+++ trunk/geant4/N03/g4_03.prim	(revision 609)
@@ -1,79 +1,224 @@
 ##G4.PRIM-FORMAT-2.4
-/BoundingBox       -866.025404       -866.025404       -866.025404        866.025404        866.025404        866.025404
+/BoundingBox       -103.077641       -103.077641       -103.077641        103.077641        103.077641        103.077641
 !SetCamera
 !OpenDevice
 !BeginModeling
-/ColorRGB                 1                 0                 0
+#--------------------
+#/PVName          Calorimeter.0
+/ColorRGB                 1                 1                 1
 /ForceWireframe  0
 /Origin                 0                 0                 0
 /BaseVector                 1                 0                 0                 0                 1                 0
-/Polyline
-/PLVertex                 0                 0                 0
-/PLVertex               500                 0                 0
-/EndPolyline
-/ColorRGB                 0                 1                 0
-/ForceWireframe  0
-/Origin                 0                 0                 0
-/BaseVector                 1                 0                 0                 0                 1                 0
-/Polyline
-/PLVertex                 0                 0                 0
-/PLVertex                 0               500                 0
-/EndPolyline
-/ColorRGB                 0                 0                 1
-/ForceWireframe  0
-/Origin                 0                 0                 0
-/BaseVector                 1                 0                 0                 0                 1                 0
-/Polyline
-/PLVertex                 0                 0                 0
-/PLVertex                 0                 0               500
-/EndPolyline
-/ColorRGB                 0                 0                 1
-/Origin                 0                 0                 0
-/BaseVector                 1                 0                 0                 0                 1                 0
-/MarkText2DS                 0                0                0               50             -100             -140 Gap
-/ColorRGB                 1                 0                 0
-/ForceWireframe  0
-/Origin                 0                 0                 0
-/BaseVector                 1                 0                 0                 0                 1                 0
-/Polyline
-/PLVertex               -25               -50                50
-/PLVertex               -25               -50               -50
-/EndPolyline
-/ColorRGB                 1                 0                 0
-/ForceWireframe  0
-/Origin                 0                 0                 0
-/BaseVector                 1                 0                 0                 0                 1                 0
-/Polyline
-/PLVertex               -25               -45                50
-/PLVertex               -25               -55                50
-/EndPolyline
-/ColorRGB                 1                 0                 0
-/ForceWireframe  0
-/Origin                 0                 0                 0
-/BaseVector                 1                 0                 0                 0                 1                 0
-/Polyline
-/PLVertex               -20               -50                50
-/PLVertex               -30               -50                50
-/EndPolyline
-/ColorRGB                 1                 0                 0
-/ForceWireframe  0
-/Origin                 0                 0                 0
-/BaseVector                 1                 0                 0                 0                 1                 0
-/Polyline
-/PLVertex               -25               -45               -50
-/PLVertex               -25               -55               -50
-/EndPolyline
-/ColorRGB                 1                 0                 0
-/ForceWireframe  0
-/Origin                 0                 0                 0
-/BaseVector                 1                 0                 0                 0                 1                 0
-/Polyline
-/PLVertex               -20               -50               -50
-/PLVertex               -30               -50               -50
-/EndPolyline
-/ColorRGB                 0                 0                 1
-/Origin                 0                 0                 0
-/BaseVector                 1                 0                 0                 0                 1                 0
-/MarkText2DS               -25              -45                0               12                0                0 10 cm
+/Box                75                50                50
+#--------------------
+#/PVName               Layer.0
+/ColorRGB                 1                 1                 1
+/ForceWireframe  0
+/Origin             -67.5                 0                 0
+/BaseVector                 1                 0                 0                 0                 1                 0
+/Box               7.5                50                50
+#--------------------
+#/PVName                    Lead.0
+/ColorRGB                 1                 1                 1
+/ForceWireframe  0
+/Origin               -70                 0                 0
+/BaseVector                 1                 0                 0                 0                 1                 0
+/Box                 5                50                50
+#--------------------
+#/PVName                    liquidArgon.0
+/ColorRGB                 1                 1                 1
+/ForceWireframe  0
+/Origin             -62.5                 0                 0
+/BaseVector                 1                 0                 0                 0                 1                 0
+/Box               2.5                50                50
+#--------------------
+#/PVName               Layer.1
+/ColorRGB                 1                 1                 1
+/ForceWireframe  0
+/Origin             -52.5                 0                 0
+/BaseVector                 1                 0                 0                 0                 1                 0
+/Box               7.5                50                50
+#--------------------
+#/PVName                    Lead.0
+/ColorRGB                 1                 1                 1
+/ForceWireframe  0
+/Origin               -55                 0                 0
+/BaseVector                 1                 0                 0                 0                 1                 0
+/Box                 5                50                50
+#--------------------
+#/PVName                    liquidArgon.0
+/ColorRGB                 1                 1                 1
+/ForceWireframe  0
+/Origin             -47.5                 0                 0
+/BaseVector                 1                 0                 0                 0                 1                 0
+/Box               2.5                50                50
+#--------------------
+#/PVName               Layer.2
+/ColorRGB                 1                 1                 1
+/ForceWireframe  0
+/Origin             -37.5                 0                 0
+/BaseVector                 1                 0                 0                 0                 1                 0
+/Box               7.5                50                50
+#--------------------
+#/PVName                    Lead.0
+/ColorRGB                 1                 1                 1
+/ForceWireframe  0
+/Origin               -40                 0                 0
+/BaseVector                 1                 0                 0                 0                 1                 0
+/Box                 5                50                50
+#--------------------
+#/PVName                    liquidArgon.0
+/ColorRGB                 1                 1                 1
+/ForceWireframe  0
+/Origin             -32.5                 0                 0
+/BaseVector                 1                 0                 0                 0                 1                 0
+/Box               2.5                50                50
+#--------------------
+#/PVName               Layer.3
+/ColorRGB                 1                 1                 1
+/ForceWireframe  0
+/Origin             -22.5                 0                 0
+/BaseVector                 1                 0                 0                 0                 1                 0
+/Box               7.5                50                50
+#--------------------
+#/PVName                    Lead.0
+/ColorRGB                 1                 1                 1
+/ForceWireframe  0
+/Origin               -25                 0                 0
+/BaseVector                 1                 0                 0                 0                 1                 0
+/Box                 5                50                50
+#--------------------
+#/PVName                    liquidArgon.0
+/ColorRGB                 1                 1                 1
+/ForceWireframe  0
+/Origin             -17.5                 0                 0
+/BaseVector                 1                 0                 0                 0                 1                 0
+/Box               2.5                50                50
+#--------------------
+#/PVName               Layer.4
+/ColorRGB                 1                 1                 1
+/ForceWireframe  0
+/Origin              -7.5                 0                 0
+/BaseVector                 1                 0                 0                 0                 1                 0
+/Box               7.5                50                50
+#--------------------
+#/PVName                    Lead.0
+/ColorRGB                 1                 1                 1
+/ForceWireframe  0
+/Origin               -10                 0                 0
+/BaseVector                 1                 0                 0                 0                 1                 0
+/Box                 5                50                50
+#--------------------
+#/PVName                    liquidArgon.0
+/ColorRGB                 1                 1                 1
+/ForceWireframe  0
+/Origin              -2.5                 0                 0
+/BaseVector                 1                 0                 0                 0                 1                 0
+/Box               2.5                50                50
+#--------------------
+#/PVName               Layer.5
+/ColorRGB                 1                 1                 1
+/ForceWireframe  0
+/Origin               7.5                 0                 0
+/BaseVector                 1                 0                 0                 0                 1                 0
+/Box               7.5                50                50
+#--------------------
+#/PVName                    Lead.0
+/ColorRGB                 1                 1                 1
+/ForceWireframe  0
+/Origin                 5                 0                 0
+/BaseVector                 1                 0                 0                 0                 1                 0
+/Box                 5                50                50
+#--------------------
+#/PVName                    liquidArgon.0
+/ColorRGB                 1                 1                 1
+/ForceWireframe  0
+/Origin              12.5                 0                 0
+/BaseVector                 1                 0                 0                 0                 1                 0
+/Box               2.5                50                50
+#--------------------
+#/PVName               Layer.6
+/ColorRGB                 1                 1                 1
+/ForceWireframe  0
+/Origin              22.5                 0                 0
+/BaseVector                 1                 0                 0                 0                 1                 0
+/Box               7.5                50                50
+#--------------------
+#/PVName                    Lead.0
+/ColorRGB                 1                 1                 1
+/ForceWireframe  0
+/Origin                20                 0                 0
+/BaseVector                 1                 0                 0                 0                 1                 0
+/Box                 5                50                50
+#--------------------
+#/PVName                    liquidArgon.0
+/ColorRGB                 1                 1                 1
+/ForceWireframe  0
+/Origin              27.5                 0                 0
+/BaseVector                 1                 0                 0                 0                 1                 0
+/Box               2.5                50                50
+#--------------------
+#/PVName               Layer.7
+/ColorRGB                 1                 1                 1
+/ForceWireframe  0
+/Origin              37.5                 0                 0
+/BaseVector                 1                 0                 0                 0                 1                 0
+/Box               7.5                50                50
+#--------------------
+#/PVName                    Lead.0
+/ColorRGB                 1                 1                 1
+/ForceWireframe  0
+/Origin                35                 0                 0
+/BaseVector                 1                 0                 0                 0                 1                 0
+/Box                 5                50                50
+#--------------------
+#/PVName                    liquidArgon.0
+/ColorRGB                 1                 1                 1
+/ForceWireframe  0
+/Origin              42.5                 0                 0
+/BaseVector                 1                 0                 0                 0                 1                 0
+/Box               2.5                50                50
+#--------------------
+#/PVName               Layer.8
+/ColorRGB                 1                 1                 1
+/ForceWireframe  0
+/Origin              52.5                 0                 0
+/BaseVector                 1                 0                 0                 0                 1                 0
+/Box               7.5                50                50
+#--------------------
+#/PVName                    Lead.0
+/ColorRGB                 1                 1                 1
+/ForceWireframe  0
+/Origin                50                 0                 0
+/BaseVector                 1                 0                 0                 0                 1                 0
+/Box                 5                50                50
+#--------------------
+#/PVName                    liquidArgon.0
+/ColorRGB                 1                 1                 1
+/ForceWireframe  0
+/Origin              57.5                 0                 0
+/BaseVector                 1                 0                 0                 0                 1                 0
+/Box               2.5                50                50
+#--------------------
+#/PVName               Layer.9
+/ColorRGB                 1                 1                 1
+/ForceWireframe  0
+/Origin              67.5                 0                 0
+/BaseVector                 1                 0                 0                 0                 1                 0
+/Box               7.5                50                50
+#--------------------
+#/PVName                    Lead.0
+/ColorRGB                 1                 1                 1
+/ForceWireframe  0
+/Origin                65                 0                 0
+/BaseVector                 1                 0                 0                 0                 1                 0
+/Box                 5                50                50
+#--------------------
+#/PVName                    liquidArgon.0
+/ColorRGB                 1                 1                 1
+/ForceWireframe  0
+/Origin              72.5                 0                 0
+/BaseVector                 1                 0                 0                 0                 1                 0
+/Box               2.5                50                50
 #--------------------
 !EndModeling