Index: trunk/geant4/visualization/OpenGL/src/G4OpenGLQtViewer_moc.cc
===================================================================
--- trunk/geant4/visualization/OpenGL/src/G4OpenGLQtViewer_moc.cc	(revision 610)
+++ trunk/geant4/visualization/OpenGL/src/G4OpenGLQtViewer_moc.cc	(revision 612)
@@ -184,7 +184,123 @@
 
 
+
+#if QT_VERSION >= 0x040000
+#if QT_VERSION < 0x040200
 /****************************************************************************
 ** Meta object code from reading C++ file 'G4OpenGLQtViewer.hh'
 **
+** Created: jeu. 22. nov. 11:59:31 2007
+**      by: The Qt Meta Object Compiler version 58 (Qt 4.0.1)
+**
+** WARNING! All changes made in this file will be lost!
+*****************************************************************************/
+
+#include "../include/G4OpenGLQtViewer.hh"
+#if !defined(Q_MOC_OUTPUT_REVISION)
+#error "The header file 'G4OpenGLQtViewer.hh' doesn't include <QObject>."
+#elif Q_MOC_OUTPUT_REVISION != 58
+#error "This file was generated using the moc from 4.0.1. It"
+#error "cannot be used with the include files from this version of Qt."
+#error "(The moc has changed too much.)"
+#endif
+
+static const uint qt_meta_data_G4OpenGLQtViewer[] = {
+
+ // content:
+       1,       // revision
+       0,       // classname
+       0,    0, // classinfo
+      17,   10, // methods
+       0,    0, // properties
+       0,    0, // enums/sets
+
+ // slots: signature, parameters, type, tag, flags
+      18,   17,   17,   17, 0x08,
+      43,   17,   17,   17, 0x08,
+      70,   17,   17,   17, 0x08,
+     100,   17,   17,   17, 0x08,
+     134,   17,   17,   17, 0x08,
+     156,   17,   17,   17, 0x08,
+     171,   17,   17,   17, 0x08,
+     189,   17,   17,   17, 0x08,
+     214,   17,   17,   17, 0x08,
+     238,   17,   17,   17, 0x08,
+     265,   17,   17,   17, 0x08,
+     288,   17,   17,   17, 0x08,
+     313,   17,   17,   17, 0x08,
+     338,   17,   17,   17, 0x08,
+     358,   17,   17,   17, 0x08,
+     374,   17,   17,   17, 0x08,
+     397,   17,   17,   17, 0x08,
+
+       0        // eod
+};
+
+static const char qt_meta_stringdata_G4OpenGLQtViewer[] = {
+    "G4OpenGLQtViewer\0\0actionDrawingWireframe()\0"
+    "actionDrawingLineRemoval()\0actionDrawingSurfaceRemoval()\0"
+    "actionDrawingLineSurfaceRemoval()\0actionControlPanels()\0"
+    "actionExitG4()\0actionCreateEPS()\0toggleDrawingAction(int)\0"
+    "toggleMouseAction(bool)\0toggleRepresentation(bool)\0"
+    "toggleBackground(bool)\0toggleTransparency(bool)\0"
+    "toggleAntialiasing(bool)\0toggleHaloing(bool)\0toggleAux(bool)\0"
+    "toggleFullScreen(bool)\0dialogClosed()\0"
+};
+
+const QMetaObject G4OpenGLQtViewer::staticMetaObject = {
+    { &QObject::staticMetaObject, qt_meta_stringdata_G4OpenGLQtViewer,
+      qt_meta_data_G4OpenGLQtViewer, 0 }
+};
+
+const QMetaObject *G4OpenGLQtViewer::metaObject() const
+{
+    return &staticMetaObject;
+}
+
+void *G4OpenGLQtViewer::qt_metacast(const char *_clname)
+{
+    if (!_clname) return 0;
+    if (!strcmp(_clname, qt_meta_stringdata_G4OpenGLQtViewer))
+	return static_cast<void*>(const_cast<G4OpenGLQtViewer*>(this));
+    if (!strcmp(_clname, "G4OpenGLViewer"))
+	return static_cast<G4OpenGLViewer*>(const_cast<G4OpenGLQtViewer*>(this));
+    return QObject::qt_metacast(_clname);
+}
+
+int G4OpenGLQtViewer::qt_metacall(QMetaObject::Call _c, int _id, void **_a)
+{
+    _id = QObject::qt_metacall(_c, _id, _a);
+    if (_id < 0)
+        return _id;
+    if (_c == QMetaObject::InvokeMetaMethod) {
+        switch (_id) {
+        case 0: actionDrawingWireframe(); break;
+        case 1: actionDrawingLineRemoval(); break;
+        case 2: actionDrawingSurfaceRemoval(); break;
+        case 3: actionDrawingLineSurfaceRemoval(); break;
+        case 4: actionControlPanels(); break;
+        case 5: actionExitG4(); break;
+        case 6: actionCreateEPS(); break;
+        case 7: toggleDrawingAction(*(int*)_a[1]); break;
+        case 8: toggleMouseAction(*(bool*)_a[1]); break;
+        case 9: toggleRepresentation(*(bool*)_a[1]); break;
+        case 10: toggleBackground(*(bool*)_a[1]); break;
+        case 11: toggleTransparency(*(bool*)_a[1]); break;
+        case 12: toggleAntialiasing(*(bool*)_a[1]); break;
+        case 13: toggleHaloing(*(bool*)_a[1]); break;
+        case 14: toggleAux(*(bool*)_a[1]); break;
+        case 15: toggleFullScreen(*(bool*)_a[1]); break;
+        case 16: dialogClosed(); break;
+        }
+        _id -= 17;
+    }
+    return _id;
+}
+
+
+#else
+/****************************************************************************
+** Meta object code from reading C++ file 'G4OpenGLQtViewer.hh'
+**
 ** Created: Tue Sep 18 17:43:43 2007
 **      by: The Qt Meta Object Compiler version 59 (Qt 4.2.2)
@@ -192,8 +308,4 @@
 ** WARNING! All changes made in this file will be lost!
 *****************************************************************************/
-
-#if QT_VERSION >= 0x040000
-
-#ifdef G4VIS_BUILD_OPENGLQT_DRIVER
 
 #include "../include/G4OpenGLQtViewer.hh"