Index: trunk/geant4/interfaces/basic/src/G4UIQt_moc.cc
===================================================================
--- trunk/geant4/interfaces/basic/src/G4UIQt_moc.cc	(revision 608)
+++ trunk/geant4/interfaces/basic/src/G4UIQt_moc.cc	(revision 615)
@@ -160,7 +160,110 @@
 
 
+#if QT_VERSION < 0x040200
 /****************************************************************************
 ** Meta object code from reading C++ file 'G4UIQt.hh'
 **
+** Created: jeu. 22. nov. 13:59:01 2007
+**      by: The Qt Meta Object Compiler version 58 (Qt 4.0.1)
+**
+** WARNING! All changes made in this file will be lost!
+*****************************************************************************/
+
+#include "../include/G4UIQt.hh"
+#if !defined(Q_MOC_OUTPUT_REVISION)
+#error "The header file 'G4UIQt.hh' doesn't include <QObject>."
+#elif Q_MOC_OUTPUT_REVISION != 58
+#error "This file was generated using the moc from 4.0.1. It"
+#error "cannot be used with the include files from this version of Qt."
+#error "(The moc has changed too much.)"
+#endif
+
+static const uint qt_meta_data_G4UIQt[] = {
+
+ // content:
+       1,       // revision
+       0,       // classname
+       0,    0, // classinfo
+       8,   10, // methods
+       0,    0, // properties
+       0,    0, // enums/sets
+
+ // signals: signature, parameters, type, tag, flags
+      13,    8,    7,    7, 0x05,
+
+ // slots: signature, parameters, type, tag, flags
+      32,    7,    7,    7, 0x08,
+      46,    7,    7,    7, 0x08,
+      68,    7,    7,    7, 0x08,
+      93,    7,    7,    7, 0x08,
+     117,    7,    7,    7, 0x08,
+     140,    7,    7,    7, 0x08,
+     159,    7,    7,    7, 0x08,
+
+       0        // eod
+};
+
+static const char qt_meta_stringdata_G4UIQt[] = {
+    "G4UIQt\0\0text\0myClicked(QString)\0ExitSession()\0"
+    "ClearButtonCallback()\0CommandEnteredCallback()\0"
+    "ButtonCallback(QString)\0HelpTreeClicCallback()\0ShowHelpCallback()\0"
+    "CommandHistoryCallback()\0"
+};
+
+const QMetaObject G4UIQt::staticMetaObject = {
+    { &QObject::staticMetaObject, qt_meta_stringdata_G4UIQt,
+      qt_meta_data_G4UIQt, 0 }
+};
+
+const QMetaObject *G4UIQt::metaObject() const
+{
+    return &staticMetaObject;
+}
+
+void *G4UIQt::qt_metacast(const char *_clname)
+{
+    if (!_clname) return 0;
+    if (!strcmp(_clname, qt_meta_stringdata_G4UIQt))
+	return static_cast<void*>(const_cast<G4UIQt*>(this));
+    if (!strcmp(_clname, "G4VBasicShell"))
+	return static_cast<G4VBasicShell*>(const_cast<G4UIQt*>(this));
+    if (!strcmp(_clname, "G4VInteractiveSession"))
+	return static_cast<G4VInteractiveSession*>(const_cast<G4UIQt*>(this));
+    return QObject::qt_metacast(_clname);
+}
+
+int G4UIQt::qt_metacall(QMetaObject::Call _c, int _id, void **_a)
+{
+    _id = QObject::qt_metacall(_c, _id, _a);
+    if (_id < 0)
+        return _id;
+    if (_c == QMetaObject::InvokeMetaMethod) {
+        switch (_id) {
+        case 0: myClicked(*(QString*)_a[1]); break;
+        case 1: ExitSession(); break;
+        case 2: ClearButtonCallback(); break;
+        case 3: CommandEnteredCallback(); break;
+        case 4: ButtonCallback(*(QString*)_a[1]); break;
+        case 5: HelpTreeClicCallback(); break;
+        case 6: ShowHelpCallback(); break;
+        case 7: CommandHistoryCallback(); break;
+        }
+        _id -= 8;
+    }
+    return _id;
+}
+
+// SIGNAL 0
+void G4UIQt::myClicked(const QString & _t1)
+{
+    void *_a[] = { 0, (void*)&_t1 };
+    QMetaObject::activate(this, &staticMetaObject, 0, _a);
+}
+#else
+
+#if QT_VERSION >= 0x040000
+/****************************************************************************
+** Meta object code from reading C++ file 'G4UIQt.hh'
+**
 ** Created: Mon Oct 1 10:59:35 2007
 **      by: The Qt Meta Object Compiler version 59 (Qt 4.2.2)
@@ -169,7 +272,5 @@
 *****************************************************************************/
 
-#if QT_VERSION >= 0x040000
-
-#ifdef G4UI_BUILD_QT_SESSION
+
 
 #include "../include/G4UIQt.hh"