Index: /trunk/geant4/interfaces/basic/src/G4UIQt.cc
===================================================================
--- /trunk/geant4/interfaces/basic/src/G4UIQt.cc	(revision 616)
+++ /trunk/geant4/interfaces/basic/src/G4UIQt.cc	(revision 617)
@@ -109,5 +109,4 @@
   printf("G4UIQt::Initialise %d %s\n",argc,argv[0]);
 #endif
-  printf("G4UIQt::Initialise ******\n");
   G4Qt* interactorManager = G4Qt::getInstance (argc,argv,(char*)"Qt");
   G4UImanager* UI = G4UImanager::GetUIpointer();
@@ -129,5 +128,5 @@
 #endif
 
-  QSplitter *splitter = new QSplitter(Qt::Vertical);
+  QSplitter *splitter = new QSplitter(Qt::Vertical,fMainWindow);
 
   // Set layouts
@@ -488,7 +487,13 @@
 )
 {
+#ifdef GEANT4_QT_DEBUG
+  printf("G4UIQt::AddMenu 1\n");
+#endif
   if (aName == NULL) return;
   if (aLabel == NULL) return;
 
+#ifdef GEANT4_QT_DEBUG
+  printf("G4UIQt::AddMenu 2 %s %s\n",aName,aLabel);
+#endif
 #if QT_VERSION < 0x040000
   QPopupMenu *fileMenu = new QPopupMenu( fMainWindow);
@@ -529,5 +534,9 @@
   QSignalMapper *signalMapper = new QSignalMapper(this);
 #if QT_VERSION < 0x040000
+#if QT_VERSION < 0x030200
+  QAction *action = new QAction(QString(aLabel),QString(aLabel),QKeySequence::QKeySequence (),signalMapper, SLOT(map()));
+#else
   QAction *action = new QAction(QString(aLabel),QKeySequence::QKeySequence (),signalMapper, SLOT(map()));
+#endif
   action->addTo(parent);
 #else
@@ -556,8 +565,12 @@
 #if QT_VERSION < 0x040000
     fHelpDialog = new QDialog(fMainWindow,0,FALSE,Qt::WStyle_Title | Qt::WStyle_SysMenu | Qt::WStyle_MinMax );
-#else
+    QVBoxLayout *vLayout = new QVBoxLayout(fHelpDialog);
+    QWidget* global = new QWidget(fHelpDialog);
+#else
+    QVBoxLayout *vLayout = new QVBoxLayout();
     fHelpDialog = new QDialog(fMainWindow,Qt::WindowTitleHint | Qt::WindowSystemMenuHint | Qt::WindowMinMaxButtonsHint);
 #endif
-    QSplitter *splitter = new QSplitter(Qt::Horizontal);
+    QSplitter *splitter = new QSplitter(Qt::Horizontal,fHelpDialog);
+
     QPushButton *exitButton = new QPushButton("Exit",fMainWindow);
     connect(exitButton, SIGNAL(clicked()), fHelpDialog,SLOT(close()));
@@ -574,5 +587,5 @@
     fHelpTreeWidget->addColumn("Command");
     fHelpTreeWidget->addColumn("Description");
-    fHelpTreeWidget->hideColumn(1);
+    fHelpTreeWidget->setColumnWidth (1,0);
     fHelpTreeWidget->header()->setResizeEnabled(FALSE,1);
     //    QList<QListViewItem *> items;
@@ -643,8 +656,5 @@
     // Set layouts
 
-#if QT_VERSION < 0x040000
-    QVBoxLayout *vLayout = new QVBoxLayout(fHelpDialog);
-#else
-    QVBoxLayout *vLayout = new QVBoxLayout;
+#if QT_VERSION >= 0x040000
     splitter->addWidget(fHelpTreeWidget);
     splitter->addWidget(fHelpArea);
@@ -652,5 +662,9 @@
 
 
+#if QT_VERSION < 0x040000
+    vLayout->addWidget(global);
+#else
     vLayout->addWidget(splitter);
+#endif
     vLayout->addWidget(exitButton);
 #if QT_VERSION >= 0x040000
@@ -1186,7 +1200,5 @@
 )
 {
-#ifdef GEANT4_QT_DEBUG
-    printf("G4UIQt::HelpTreeClicCallback");
-#endif
+  //  printf("G4UIQt::HelpTreeClicCallback");
 #if QT_VERSION < 0x040000
   QListViewItem* item =  NULL;
@@ -1254,5 +1266,5 @@
 QTreeWidgetItem* item
 #endif
- ,int nb
+ ,int
 )
 {
Index: /trunk/geant4/interfaces/common/src/G4Qt.cc
===================================================================
--- /trunk/geant4/interfaces/common/src/G4Qt.cc	(revision 616)
+++ /trunk/geant4/interfaces/common/src/G4Qt.cc	(revision 617)
@@ -29,6 +29,4 @@
 //
 // L. Garnier
-
-#define GEANT4_QT_DEBUG
 
 #if defined(G4INTY_BUILD_QT) || defined(G4INTY_USE_QT)
@@ -101,5 +99,5 @@
 #endif
 #if QT_VERSION < 0x040000
-    // EN TEST    qApp = new QApplication (a_argn, a_args);
+    qApp = new QApplication (a_argn, a_args);
     //    QApplication qApp(a_argn, a_args);
     //    if(&qApp == NULL) {
@@ -124,20 +122,9 @@
   }
 #ifdef GEANT4_QT_DEBUG
-  //  if (qApp) {
+  if (qApp) {
     printf("G4Qt::qApp exist\n");
-    //  =================== EN TEST ==============
-    new QApplication ( a_argn, a_args );
-
-    QPushButton hello( "Hello world!", 0 );
-    hello.resize( 100, 30 );
-
-    qApp->setMainWidget( &hello );
-    hello.show();
-    qApp->exec();
-    printf("G4Qt::qApp exist END\n");
-    //  =================== EN TEST ==============
-    //  }  else {
-    //    printf("G4Qt::qApp not exist\n");
-    //  }
+  }  else {
+    printf("G4Qt::qApp not exist\n");
+  }
 #endif
   //  AddDispatcher     ((G4DispatchFunction)XtDispatchEvent);
Index: /trunk/geant4/specific-geant4-dev.sh
===================================================================
--- /trunk/geant4/specific-geant4-dev.sh	(revision 616)
+++ /trunk/geant4/specific-geant4-dev.sh	(revision 617)
@@ -27,5 +27,6 @@
   export G4RADIOACTIVEDATA=$G4DATA/RadiativeDecay
   export G4LEDATA=$G4DATA/G4EMLOW3.0
-  export QTHOME=/usr/local/Qt/3.3.8
+#  export QTHOME=/usr/local/Qt/3.3.8
+  export QTHOME=/usr/local/Qt/4.2.2
   #//////////////////////////////////////////////////////////
   # GUI, Visualization :
Index: /trunk/geant4/visualization/OpenGL/src/G4OpenGLQtViewer.cc
===================================================================
--- /trunk/geant4/visualization/OpenGL/src/G4OpenGLQtViewer.cc	(revision 616)
+++ /trunk/geant4/visualization/OpenGL/src/G4OpenGLQtViewer.cc	(revision 617)
@@ -320,6 +320,11 @@
   Q_CHECK_PTR( mMouseAction );
 
+#if QT_VERSION < 0x030200
+  QAction *rotate = new QAction("&Rotate scene","&Rotate scene",CTRL+Key_N,mMouseAction);
+  QAction *move =  new QAction("&Move scene","&Move scene",CTRL+Key_M,mMouseAction);
+#else
   QAction *rotate = new QAction("&Rotate scene",CTRL+Key_N,mMouseAction);
   QAction *move =  new QAction("&Move scene",CTRL+Key_M,mMouseAction);
+#endif
   rotate->addTo(mMouseAction);
   move->addTo(mMouseAction);
@@ -344,6 +349,11 @@
   QPopupMenu *mRepresentation = new QPopupMenu(fContextMenu);
 
+#if QT_VERSION < 0x030200
+  QAction *polyhedron = new QAction("&Polyhedron","&Polyhedron",CTRL+Key_P,mRepresentation);
+  QAction *nurbs = new QAction("&NURBS","&NURBS",CTRL+Key_N,mRepresentation);
+#else
   QAction *polyhedron = new QAction("&Polyhedron",CTRL+Key_P,mRepresentation);
   QAction *nurbs = new QAction("&NURBS",CTRL+Key_N,mRepresentation);
+#endif
   polyhedron->addTo(mRepresentation);
   nurbs->addTo(mRepresentation);
@@ -488,6 +498,11 @@
   mStyle->insertItem("&Background color",mBackground);
 
+#if QT_VERSION < 0x030200
+  QAction *white = new QAction("&White","&White",CTRL+Key_W,mBackground);
+  QAction *black =  new QAction("&Black","&Black",CTRL+Key_B,mBackground);
+#else
   QAction *white = new QAction("&White",CTRL+Key_W,mBackground);
   QAction *black =  new QAction("&Black",CTRL+Key_B,mBackground);
+#endif
   white->addTo(mBackground);
   black->addTo(mBackground);
@@ -513,7 +528,13 @@
   fContextMenu->insertItem("&Actions",mActions);
 
+#if QT_VERSION < 0x030200
+  QAction *controlPanels = new QAction("&Control panels","&Control panels",CTRL+Key_C,mActions);
+  QAction *exitG4 =  new QAction("&Exit to G4Vis >","&Exit to G4Vis >",CTRL+Key_E,mActions);
+  QAction *createEPS =  new QAction("&Save as ...","&Save as ...",CTRL+Key_S,mActions);
+#else
   QAction *controlPanels = new QAction("&Control panels",CTRL+Key_C,mActions);
   QAction *exitG4 =  new QAction("&Exit to G4Vis >",CTRL+Key_E,mActions);
   QAction *createEPS =  new QAction("&Save as ...",CTRL+Key_S,mActions);
+#endif
   controlPanels->addTo(mActions);
   exitG4->addTo(mActions);
@@ -562,6 +583,11 @@
   mSpecial->insertItem("Transparency",mTransparency);
 
+#if QT_VERSION < 0x030200
+  QAction *transparencyOn = new QAction("&On","&On",CTRL+Key_O,mTransparency);
+  QAction *transparencyOff = new QAction("&Off","&Off",CTRL+Key_F,mTransparency);
+#else
   QAction *transparencyOn = new QAction("&On",CTRL+Key_O,mTransparency);
   QAction *transparencyOff = new QAction("&Off",CTRL+Key_F,mTransparency);
+#endif
   transparencyOn->addTo(mTransparency);
   transparencyOff->addTo(mTransparency);
@@ -588,6 +614,11 @@
   mSpecial->insertItem("Antialiasing",mAntialiasing);
 
+#if QT_VERSION < 0x030200
+  QAction *antialiasingOn = new QAction("&On","&On",CTRL+Key_O,mAntialiasing);
+  QAction *antialiasingOff = new QAction("&Off","&Off",CTRL+Key_F,mAntialiasing);
+#else
   QAction *antialiasingOn = new QAction("&On",CTRL+Key_O,mAntialiasing);
   QAction *antialiasingOff = new QAction("&Off",CTRL+Key_F,mAntialiasing);
+#endif
   antialiasingOn->addTo(mAntialiasing);
   antialiasingOff->addTo(mAntialiasing);
@@ -611,6 +642,11 @@
   mSpecial->insertItem("Haloing",mHaloing);
 
+#if QT_VERSION < 0x030200
+  QAction *haloingOn = new QAction("&On","&On",CTRL+Key_O,mHaloing);
+  QAction *haloingOff = new QAction("&Off","&Off",CTRL+Key_F,mHaloing);
+#else
   QAction *haloingOn = new QAction("&On",CTRL+Key_O,mHaloing);
   QAction *haloingOff = new QAction("&Off",CTRL+Key_F,mHaloing);
+#endif
   haloingOn->addTo(mHaloing);
   haloingOff->addTo(mHaloing);
@@ -632,6 +668,11 @@
   mSpecial->insertItem("Auxiliairy edges",mAux);
 
+#if QT_VERSION < 0x030200
+  QAction *auxOn = new QAction("&On","&On",CTRL+Key_O,mAux);
+  QAction *auxOff = new QAction("&Off","&Off",CTRL+Key_F,mAux);
+#else
   QAction *auxOn = new QAction("&On",CTRL+Key_O,mAux);
   QAction *auxOff = new QAction("&Off",CTRL+Key_F,mAux);
+#endif
   auxOn->addTo(mAux);
   auxOff->addTo(mAux);
@@ -649,4 +690,5 @@
 
 
+#if QT_VERSION >= 0x030200
 #if QT_VERSION < 0x040000
   QPopupMenu *mFullScreen = new QPopupMenu(mSpecial);
@@ -663,4 +705,5 @@
 #endif
   createRadioAction(fullOn,fullOff,SLOT(toggleFullScreen(bool)),2);
+#endif
 
 }
@@ -976,6 +1019,9 @@
 */
 void G4OpenGLQtViewer::toggleFullScreen(bool check) {
+#if QT_VERSION >= 0x030200
   GLWindow->setWindowState(GLWindow->windowState() ^ Qt::WindowFullScreen);
-
+#else
+  G4cerr << "This version of G4UI Could not generate the selected format" << G4endl;
+#endif
 #ifdef GEANT4_QT_DEBUG
   printf("G4OpenGLQtViewer::toggleRepresentation %d\n",check);
Index: /trunk/geant4/visualization/management/src/G4VisCommandsSceneHandler.cc
===================================================================
--- /trunk/geant4/visualization/management/src/G4VisCommandsSceneHandler.cc	(revision 616)
+++ /trunk/geant4/visualization/management/src/G4VisCommandsSceneHandler.cc	(revision 617)
@@ -68,4 +68,5 @@
 
   G4VisManager::Verbosity verbosity = fpVisManager->GetVerbosity();
+  printf("G4VisCommandSceneHandlerCreate::SetNewValue  2\n");
 
   G4String& sceneName = newValue;
@@ -209,4 +210,6 @@
   G4VisManager::Verbosity verbosity = fpVisManager->GetVerbosity();
 
+  printf("G4VisCommandSceneHandlerCreate::SetNewValue  1\n");
+
   G4String graphicsSystem, newName;
   std::istringstream is (newValue);
@@ -326,4 +329,5 @@
 						G4String newValue) {
   G4String name, verbosityString;
+  printf("G4VisCommandSceneHandlerCreate::SetNewValue  3\n");
   std::istringstream is (newValue);
   is >> name >> verbosityString;
@@ -390,4 +394,5 @@
 
   G4VisManager::Verbosity verbosity = fpVisManager->GetVerbosity();
+  printf("G4VisCommandSceneHandlerCreate::SetNewValue  4\n");
 
   G4String& selectName = newValue;