Index: trunk/geant4/interfaces/basic/src/G4UIQt.cc
===================================================================
--- trunk/geant4/interfaces/basic/src/G4UIQt.cc	(revision 617)
+++ trunk/geant4/interfaces/basic/src/G4UIQt.cc	(revision 619)
@@ -171,4 +171,7 @@
   connect(fCommandHistoryArea, SIGNAL(itemSelectionChanged()), SLOT(CommandHistoryCallback()));
 #endif
+  fCommandHistoryArea->addColumn("");
+  fCommandHistoryArea->header()->hide();
+
   fCommandHistoryArea->installEventFilter(this);
   fCommandLabel = new QLabel("",bottomWidget);
@@ -566,12 +569,11 @@
     fHelpDialog = new QDialog(fMainWindow,0,FALSE,Qt::WStyle_Title | Qt::WStyle_SysMenu | Qt::WStyle_MinMax );
     QVBoxLayout *vLayout = new QVBoxLayout(fHelpDialog);
-    QWidget* global = new QWidget(fHelpDialog);
+    QSplitter *splitter = new QSplitter(Qt::Horizontal,fHelpDialog);
 #else
     QVBoxLayout *vLayout = new QVBoxLayout();
     fHelpDialog = new QDialog(fMainWindow,Qt::WindowTitleHint | Qt::WindowSystemMenuHint | Qt::WindowMinMaxButtonsHint);
-#endif
-    QSplitter *splitter = new QSplitter(Qt::Horizontal,fHelpDialog);
-
-    QPushButton *exitButton = new QPushButton("Exit",fMainWindow);
+    QSplitter *splitter = new QSplitter(Qt::Horizontal);
+#endif
+    QPushButton *exitButton = new QPushButton("Exit",fHelpDialog);
     connect(exitButton, SIGNAL(clicked()), fHelpDialog,SLOT(close()));
 
@@ -585,7 +587,8 @@
     fHelpTreeWidget = new QListView(splitter);
     fHelpTreeWidget->setSelectionMode(QListView::Single);
+    fHelpTreeWidget->setRootIsDecorated(true);
     fHelpTreeWidget->addColumn("Command");
-    fHelpTreeWidget->addColumn("Description");
-    fHelpTreeWidget->setColumnWidth (1,0);
+    fHelpTreeWidget->addColumn("Description",0);
+    //    fHelpTreeWidget->setColumnWidth (1,0);
     fHelpTreeWidget->header()->setResizeEnabled(FALSE,1);
     //    QList<QListViewItem *> items;
@@ -651,6 +654,11 @@
     }
 
+#if QT_VERSION < 0x040000
+    connect(fHelpTreeWidget, SIGNAL(selectionChanged ()),this, SLOT(HelpTreeClicCallback()));  
+    connect(fHelpTreeWidget, SIGNAL(doubleClicked (QListViewItem*)),this, SLOT(HelpTreeDoubleClicCallback(QListViewItem*)));
+#else
     connect(fHelpTreeWidget, SIGNAL(itemSelectionChanged ()),this, SLOT(HelpTreeClicCallback()));  
-    connect(fHelpTreeWidget, SIGNAL(itemDoubleClicked (QTreeWidgetItem*,int)),this, SLOT(HelpTreeDoubleClicCallback(QTreeWidgetItem*,int)));  
+    connect(fHelpTreeWidget, SIGNAL(itemDoubleClicked (QTreeWidgetItem*,int)),this, SLOT(HelpTreeDoubleClicCallback(QTreeWidgetItem*)));  
+#endif
 
     // Set layouts
@@ -662,10 +670,22 @@
 
 
-#if QT_VERSION < 0x040000
-    vLayout->addWidget(global);
-#else
+#if QT_VERSION >= 0x040000
     vLayout->addWidget(splitter);
-#endif
     vLayout->addWidget(exitButton);
+#else
+    vLayout->add(splitter);
+    vLayout->addWidget(exitButton);
+#endif
+
+    // set the splitter size
+#if QT_VERSION >= 0x040000
+    QList<int> list;
+#else
+    QValueList<int> list;
+#endif
+    list.append( 400 );
+    list.append( 400 );
+    splitter->setSizes(list);
+
 #if QT_VERSION >= 0x040000
     fHelpDialog->setLayout(vLayout);
@@ -1142,4 +1162,7 @@
 )
 {
+#ifdef GEANT4_QT_DEBUG
+  printf("G4UIQt::CommandEnteredCallback\n");
+#endif
 #if QT_VERSION < 0x040000
   G4String command (fCommandArea->text().ascii());
@@ -1148,4 +1171,8 @@
     QListViewItem *newItem = new QListViewItem(fCommandHistoryArea);
     newItem->setText(0,fCommandArea->text());
+    fCommandHistoryArea->insertItem(newItem);
+#ifdef GEANT4_QT_DEBUG
+  printf("G4UIQt::CommandEnteredCallback 2\n");
+#endif
 #else
   G4String command (fCommandArea->text().toStdString().c_str());
@@ -1166,7 +1193,4 @@
       TerminalHelp(command);
     }
-#ifdef GEANT4_QT_DEBUG
-    printf("after \n");
-#endif
     if(exitSession==true) 
       SessionTerminate();
@@ -1200,5 +1224,8 @@
 )
 {
-  //  printf("G4UIQt::HelpTreeClicCallback");
+#ifdef GEANT4_QT_DEBUG
+  printf("G4UIQt::HelpTreeClicCallback");
+#endif
+
 #if QT_VERSION < 0x040000
   QListViewItem* item =  NULL;
@@ -1265,11 +1292,8 @@
 #else
 QTreeWidgetItem* item
-#endif
- ,int
-)
-{
-#ifdef GEANT4_QT_DEBUG
-  printf("G4UIQt::HelpTreeDoubleClicCallback");
-#endif
+,int
+#endif
+)
+{
   HelpTreeClicCallback();
   fCommandArea->setText(item->text (1));