Index: /trunk/geant4/interfaces/basic/src/G4UIQt.cc
===================================================================
--- /trunk/geant4/interfaces/basic/src/G4UIQt.cc	(revision 623)
+++ /trunk/geant4/interfaces/basic/src/G4UIQt.cc	(revision 624)
@@ -237,4 +237,5 @@
 #endif
   fMainWindow->setCentralWidget(splitter);
+  ((QApplication*)interactorManager->GetMainInteractor())->setMainWidget(fMainWindow);
 
 #if QT_VERSION < 0x040000
@@ -448,4 +449,5 @@
   fTextArea->verticalScrollBar()->setSliderPosition(fTextArea->verticalScrollBar()->maximum());
 #endif
+  // Slow down everything : disababled
   interactorManager->FlushAndWaitExecution();
   return 0;
@@ -543,5 +545,5 @@
   QAction *action = new QAction(QString(aLabel),QKeySequence::QKeySequence (),signalMapper, SLOT(map()));
   action->addTo(parent);
- connect(action,SIGNAL(clicked()),signalMapper,SLOT(map()));
+ connect(action,SIGNAL(activated()),signalMapper,SLOT(map()));
 
 #else
@@ -570,5 +572,5 @@
   if (!fHelpDialog) {
 #if QT_VERSION < 0x040000
-    fHelpDialog = new QDialog(fMainWindow,0,FALSE,Qt::WStyle_Title | Qt::WStyle_SysMenu | Qt::WStyle_MinMax );
+    fHelpDialog = new QDialog(0,0,FALSE,Qt::WStyle_Title | Qt::WStyle_SysMenu | Qt::WStyle_MinMax );
     QVBoxLayout *vLayout = new QVBoxLayout(fHelpDialog);
     QSplitter *splitter = new QSplitter(Qt::Horizontal,fHelpDialog);
Index: /trunk/geant4/interfaces/basic/src/G4UIQt_moc.cc
===================================================================
--- /trunk/geant4/interfaces/basic/src/G4UIQt_moc.cc	(revision 623)
+++ /trunk/geant4/interfaces/basic/src/G4UIQt_moc.cc	(revision 624)
@@ -15,5 +15,5 @@
 #include <qapplication.h>
 
-#if defined(Q_MOC_OUTPUT_REVISION) && (Q_MOC_OUTPUT_REVISION = 26)
+#if defined(Q_MOC_OUTPUT_REVISION) && (Q_MOC_OUTPUT_REVISION == 26)
 
 #include <private/qucomextra_p.h>
@@ -159,5 +159,5 @@
 
 
-#if defined(Q_MOC_OUTPUT_REVISION) && (Q_MOC_OUTPUT_REVISION = 58)
+#if defined(Q_MOC_OUTPUT_REVISION) && (Q_MOC_OUTPUT_REVISION == 58)
 
 /****************************************************************************
@@ -262,5 +262,5 @@
 #else
 
-#if defined(Q_MOC_OUTPUT_REVISION) && (Q_MOC_OUTPUT_REVISION = 59)
+#if defined(Q_MOC_OUTPUT_REVISION) && (Q_MOC_OUTPUT_REVISION == 59)
 
 /****************************************************************************
Index: /trunk/geant4/specific-geant4-dev.sh
===================================================================
--- /trunk/geant4/specific-geant4-dev.sh	(revision 623)
+++ /trunk/geant4/specific-geant4-dev.sh	(revision 624)
@@ -28,5 +28,8 @@
   export G4LEDATA=$G4DATA/G4EMLOW3.0
 #  export QTHOME=/usr/local/Qt/3.3.8
-  export QTHOME=/usr/local/Qt/4.2.2
+#  export QTHOME=/usr/local/Qt/4.2.2
+  export QTHOME=/sw
+  export QTLIBS="-L/sw/lib -lqt-mt"
+
   #//////////////////////////////////////////////////////////
   # GUI, Visualization :
Index: /trunk/geant4/visualization/OpenGL/src/G4OpenGLQtViewer.cc
===================================================================
--- /trunk/geant4/visualization/OpenGL/src/G4OpenGLQtViewer.cc	(revision 623)
+++ /trunk/geant4/visualization/OpenGL/src/G4OpenGLQtViewer.cc	(revision 624)
@@ -171,28 +171,22 @@
     bool found = false;
 #if QT_VERSION < 0x040000
-    QWidgetList  *list = QApplication::allWidgets();
-    QWidgetListIt it( *list );         // iterate over the widgets
-    QWidget * widget;
-    while ( (widget=it.current()) != 0 ) {  // for each widget...
-      ++it;
-      if ((found== false) && (widget->inherits("QMainWindow"))) {
-#ifdef GEANT4_QT_DEBUG
-        printf("G4OpenGLQtViewer::CreateMainWindow case Qapp exist\n");
-#endif
-        GLWindow = new QDialog(widget,0,FALSE,Qt::WStyle_Title | Qt::WStyle_SysMenu | Qt::WStyle_MinMax );
-        found = true;
-      }
-    }
-    delete list;                      // delete the list, not the widgets
-#else
-    foreach (QWidget *widget, QApplication::allWidgets()) {
-      if ((found== false) && (widget->inherits("QMainWindow"))) {
-#ifdef GEANT4_QT_DEBUG
-        printf("G4OpenGLQtViewer::CreateMainWindow case Qapp exist\n");
-#endif
-        GLWindow = new QDialog(widget,Qt::WindowTitleHint | Qt::WindowSystemMenuHint | Qt::WindowMinMaxButtonsHint);
-        found = true;
-      }
-    }
+    //    QWidgetList  *list = QApplication::allWidgets();
+    //    QWidgetListIt it( *list );         // iterate over the widgets
+    //    QWidget * widget;
+    //    while ( (widget=it.current()) != 0 ) {  // for each widget...
+    //      ++it;
+    //      if ((found== false) && (widget->inherits("QMainWindow"))) {
+    GLWindow = new QDialog(0,0,FALSE,Qt::WStyle_Title | Qt::WStyle_SysMenu | Qt::WStyle_MinMax );
+    //        found = true;
+    //      }
+    //    }
+    //    delete list;                      // delete the list, not the widgets
+#else
+    //    foreach (QWidget *widget, QApplication::allWidgets()) {
+    //      if ((found== false) && (widget->inherits("QMainWindow"))) {
+    GLWindow = new QDialog(0,Qt::WindowTitleHint | Qt::WindowSystemMenuHint | Qt::WindowMinMaxButtonsHint);
+    //        found = true;
+    //      }
+    //    }
 #endif
 