Index: trunk/geant4/visualization/management/History
===================================================================
--- trunk/geant4/visualization/management/History	(revision 617)
+++ trunk/geant4/visualization/management/History	(revision 631)
@@ -1,3 +1,3 @@
-$Id: History,v 1.102 2007/11/10 15:05:46 allison Exp $
+$Id: History,v 1.103 2007/11/16 20:34:17 perl Exp $
 
 -------------------------------------------------------------------
@@ -26,4 +26,8 @@
 History file for visualization management sub-category
 ------------------------------------------------------
+
+16th November 2007  Joseph Perl  (visman-V09-00-02)
+- G4VisCommandsCompound.cc: Replace references to Wired3.
+- G4VisCommandsSceneAdd.cc: Replace references to Wired3.
 
 10th November 2007  John Allison  (visman-V09-00-01)
Index: trunk/geant4/visualization/management/src/G4VisCommandsCompound.cc
===================================================================
--- trunk/geant4/visualization/management/src/G4VisCommandsCompound.cc	(revision 617)
+++ trunk/geant4/visualization/management/src/G4VisCommandsCompound.cc	(revision 631)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4VisCommandsCompound.cc,v 1.38 2007/03/27 15:41:34 allison Exp $
-// GEANT4 tag $Name: geant4-09-00-ref-01 $
+// $Id: G4VisCommandsCompound.cc,v 1.39 2007/11/16 20:29:04 perl Exp $
+// GEANT4 tag $Name:  $
 
 // Compound /vis/ commands - John Allison  15th May 2000
@@ -183,6 +183,5 @@
      "\na representation of the geometry hierarchy of the worlds, try"
      "\n\"/vis/drawTree [worlds]\" or one of the driver/browser combinations"
-     "\nthat have the required functionality, e.g., HepRepFile/XML with the"
-     "\nWIRED3/4 browser.");
+     "\nthat have the required functionality, e.g., HepRep");
   fpCommand->SetParameterName("physical-volume-name", omitable = true);
   fpCommand->SetDefaultValue("world");
Index: trunk/geant4/visualization/management/src/G4VisCommandsSceneAdd.cc
===================================================================
--- trunk/geant4/visualization/management/src/G4VisCommandsSceneAdd.cc	(revision 617)
+++ trunk/geant4/visualization/management/src/G4VisCommandsSceneAdd.cc	(revision 631)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4VisCommandsSceneAdd.cc,v 1.72 2006/11/25 15:37:31 allison Exp $
-// GEANT4 tag $Name: geant4-09-00-ref-01 $
+// $Id: G4VisCommandsSceneAdd.cc,v 1.73 2007/11/16 20:29:04 perl Exp $
+// GEANT4 tag $Name:  $
 // /vis/scene commands - John Allison  9th August 1998
 
@@ -1491,6 +1491,5 @@
      "\nmatching occurence only.  To see a representation of the geometry"
      "\nhierarchy of the worlds, try \"/vis/drawTree [worlds]\" or one of the"
-     "\ndriver/browser combinations that have the required functionality,"
-     "\ne.g., HepRepFile/XML with the WIRED3/4 browser.");
+     "\ndriver/browser combinations that have the required functionality, e.g., HepRep.");
   fpCommand -> SetGuidance
     ("If clip-volume-type is specified, the subsequent parameters are used to"
Index: trunk/geant4/visualization/management/src/G4VisCommandsSceneHandler.cc
===================================================================
--- trunk/geant4/visualization/management/src/G4VisCommandsSceneHandler.cc	(revision 617)
+++ trunk/geant4/visualization/management/src/G4VisCommandsSceneHandler.cc	(revision 631)
@@ -26,5 +26,5 @@
 //
 // $Id: G4VisCommandsSceneHandler.cc,v 1.32 2006/06/29 21:29:46 gunter Exp $
-// GEANT4 tag $Name: geant4-09-00-ref-01 $
+// GEANT4 tag $Name:  $
 
 // /vis/sceneHandler commands - John Allison  10th October 1998
@@ -68,5 +68,4 @@
 
   G4VisManager::Verbosity verbosity = fpVisManager->GetVerbosity();
-  printf("G4VisCommandSceneHandlerCreate::SetNewValue  2\n");
 
   G4String& sceneName = newValue;
@@ -210,6 +209,4 @@
   G4VisManager::Verbosity verbosity = fpVisManager->GetVerbosity();
 
-  printf("G4VisCommandSceneHandlerCreate::SetNewValue  1\n");
-
   G4String graphicsSystem, newName;
   std::istringstream is (newValue);
@@ -329,5 +326,4 @@
 						G4String newValue) {
   G4String name, verbosityString;
-  printf("G4VisCommandSceneHandlerCreate::SetNewValue  3\n");
   std::istringstream is (newValue);
   is >> name >> verbosityString;
@@ -394,5 +390,4 @@
 
   G4VisManager::Verbosity verbosity = fpVisManager->GetVerbosity();
-  printf("G4VisCommandSceneHandlerCreate::SetNewValue  4\n");
 
   G4String& selectName = newValue;