Index: trunk/geant4/interfaces/GAG/GNUmakefile
===================================================================
--- trunk/geant4/interfaces/GAG/GNUmakefile	(revision 631)
+++ trunk/geant4/interfaces/GAG/GNUmakefile	(revision 632)
@@ -1,3 +1,3 @@
-# $Id: GNUmakefile,v 1.2 2005/01/26 08:50:58 gcosmo Exp $
+# $Id: GNUmakefile,v 1.3 2007/11/30 14:28:50 lgarnier Exp $
 # -------------------------------------------------------------
 # GNUmakefile for interfaces/GAG library.  John Allison, 6/7/98.
@@ -10,5 +10,4 @@
 
 include $(G4INSTALL)/config/architecture.gmk
-#include $(G4INSTALL)/config/G4UI_BUILD.gmk
 include $(G4INSTALL)/config/interactivity.gmk
 
Index: trunk/geant4/interfaces/History
===================================================================
--- trunk/geant4/interfaces/History	(revision 631)
+++ trunk/geant4/interfaces/History	(revision 632)
@@ -1,3 +1,3 @@
-$Id: History,v 1.90 2007/11/16 15:03:17 kmura Exp $
+$Id: History,v 1.91 2007/11/30 14:28:49 lgarnier Exp $
 -------------------------------------------------------------------
 
@@ -18,4 +18,10 @@
      ----------------------------------------------------------
 
+30 November 2007, Laurent Garnier
+ - G4UIQt : Some improvements for Qt3, corrections of some bugs
+ - G4UIQt_moc.cc : Adding other versions for QT_MOC_REVISION 28,58 and
+   59, but this is not the right solution..
+ - GAG/Makefile : Suppression of linking on a unuseful library
+
 16 November 2007, Koichi Murakami (interfaces-V09-00-03)
  - G4UIGainServer.cc: cleared a compilation warning.
Index: trunk/geant4/interfaces/basic/include/G4UIQt.hh
===================================================================
--- trunk/geant4/interfaces/basic/include/G4UIQt.hh	(revision 631)
+++ trunk/geant4/interfaces/basic/include/G4UIQt.hh	(revision 632)
@@ -25,5 +25,5 @@
 //
 //
-// $Id: G4UIQt.hh,v 1.7 2007/11/15 18:53:59 lgarnier Exp $
+// $Id: G4UIQt.hh,v 1.9 2007/11/30 13:32:47 lgarnier Exp $
 // GEANT4 tag $Name:  $
 //
@@ -152,5 +152,5 @@
   void HelpTreeDoubleClicCallback( QListViewItem*);
 #else
-  void HelpTreeDoubleClicCallback( QTreeWidgetItem*,int);
+  void HelpTreeDoubleClicCallback( QTreeWidgetItem*, int);
 #endif
   void ShowHelpCallback();
Index: trunk/geant4/interfaces/basic/src/G4UIQt.cc
===================================================================
--- trunk/geant4/interfaces/basic/src/G4UIQt.cc	(revision 631)
+++ trunk/geant4/interfaces/basic/src/G4UIQt.cc	(revision 632)
@@ -25,10 +25,10 @@
 //
 //
-// $Id: G4UIQt.cc,v 1.12 2007/11/15 18:24:27 lgarnier Exp $
+// $Id: G4UIQt.cc,v 1.13 2007/11/30 14:28:50 lgarnier Exp $
 // GEANT4 tag $Name:  $
 //
 // L. Garnier
 
-#define GEANT4_QT_DEBUG
+//#define DEBUG
 
 #ifdef G4UI_BUILD_QT_SESSION
@@ -175,5 +175,4 @@
   connect(fCommandHistoryArea, SIGNAL(itemSelectionChanged()), SLOT(CommandHistoryCallback()));
 #endif
-
   fCommandHistoryArea->installEventFilter(this);
   fCommandLabel = new QLabel("",bottomWidget);
@@ -181,7 +180,4 @@
   fCommandArea = new QLineEdit(bottomWidget);
   fCommandArea->installEventFilter(this);
-#ifdef GEANT4_QT_DEBUG
-  printf("G4UIQt::   1\n");
-#endif
 #if QT_VERSION < 0x040000
   fCommandArea->setActiveWindow();
@@ -190,7 +186,4 @@
 #endif
   connect(fCommandArea, SIGNAL(returnPressed()), SLOT(CommandEnteredCallback()));
-#ifdef GEANT4_QT_DEBUG
-  printf("G4UIQt::   1 connect returnPressed\n");
-#endif
 #if QT_VERSION < 0x040000
   fCommandArea->setFocusPolicy ( QWidget::StrongFocus );
@@ -207,7 +200,4 @@
 #endif
 
-#ifdef GEANT4_QT_DEBUG
-  printf("G4UIQt::   3\n");
-#endif
 
 
@@ -219,7 +209,4 @@
 #endif
 
-#ifdef GEANT4_QT_DEBUG
-  printf("G4UIQt::   4\n");
-#endif
   layoutBottom->addWidget(fCommandHistoryArea);
   layoutBottom->addWidget(fCommandLabel);
@@ -233,7 +220,4 @@
 
 
-#ifdef GEANT4_QT_DEBUG
-  printf("G4UIQt::   5\n");
-#endif
   fMainWindow->setCentralWidget(splitter);
 
@@ -250,7 +234,4 @@
   fMainWindow->menuBar()->insertItem( QString("&Help"), helpMenu );
 
-#ifdef GEANT4_QT_DEBUG
-  printf("G4UIQt::   6\n");
-#endif
 
 #else
@@ -263,7 +244,4 @@
   QMenu *helpMenu = fMainWindow->menuBar()->addMenu("Help");
   helpMenu->addAction("Show Help", this, SLOT(ShowHelpCallback()));
-#endif
-#ifdef GEANT4_QT_DEBUG
-  printf("G4UIQt::   7\n");
 #endif
 
@@ -279,7 +257,4 @@
     splitter->setSizes(vals);
   }
-#ifdef GEANT4_QT_DEBUG
-  printf("G4UIQt::   8\n");
-#endif
 
   if(UI!=NULL) UI->SetCoutDestination(this);  // TO KEEP
@@ -448,5 +423,4 @@
   fTextArea->verticalScrollBar()->setSliderPosition(fTextArea->verticalScrollBar()->maximum());
 #endif
-  // Slow down everything : disababled
   interactorManager->FlushAndWaitExecution();
   return 0;
@@ -609,19 +583,7 @@
 
 #if QT_VERSION < 0x040000
-#ifdef GEANT4_QT_DEBUG
-  printf("G4UIQt::QTextEdit 1\n");
-#endif
     fHelpArea = new QTextEdit(splitter);
-#ifdef GEANT4_QT_DEBUG
-  printf("G4UIQt::end 1\n");
-#endif
-#else
-#ifdef GEANT4_QT_DEBUG
-  printf("G4UIQt::QTextEdit 2\n");
-#endif
+#else
     fHelpArea = new QTextEdit();
-#ifdef GEANT4_QT_DEBUG
-  printf("G4UIQt::end 2\n");
-#endif
 #endif
     fHelpArea->setReadOnly(true);
@@ -1212,5 +1174,4 @@
 )
 {
-
 #if QT_VERSION < 0x040000
   G4String ss = G4String(aCommand.ascii());
@@ -1316,4 +1277,5 @@
   if (!fCommandHistoryArea)
     return ;
+
   
 #if QT_VERSION < 0x040000
Index: trunk/geant4/interfaces/basic/src/G4UIQt_moc.cc
===================================================================
--- trunk/geant4/interfaces/basic/src/G4UIQt_moc.cc	(revision 631)
+++ trunk/geant4/interfaces/basic/src/G4UIQt_moc.cc	(revision 632)
@@ -3,5 +3,5 @@
 **
 ** Created: Tue Nov 13 18:13:09 2007
-**      by: The Qt MOC ($Id: G4UIQt_moc.cc,v 1.8 2007/11/15 18:24:28 lgarnier Exp $)
+**      by: The Qt MOC ($Id: G4UIQt_moc.cc,v 1.9 2007/11/30 14:28:50 lgarnier Exp $)
 **
 ** WARNING! All changes made in this file will be lost!
Index: trunk/geant4/interfaces/common/src/G4Qt.cc
===================================================================
--- trunk/geant4/interfaces/common/src/G4Qt.cc	(revision 631)
+++ trunk/geant4/interfaces/common/src/G4Qt.cc	(revision 632)
@@ -32,6 +32,4 @@
 #if defined(G4INTY_BUILD_QT) || defined(G4INTY_USE_QT)
 
-#define GEANT4_QT_DEBUG
-
 #include <stdlib.h>
 #include <string.h>
@@ -42,5 +40,4 @@
 
 #include <qapplication.h>
-#include <qpushbutton.h> // EN TEST
 
 