Index: trunk/geant4/config/sys/WIN32-VC.gmk
===================================================================
--- trunk/geant4/config/sys/WIN32-VC.gmk	(revision 632)
+++ trunk/geant4/config/sys/WIN32-VC.gmk	(revision 633)
@@ -34,18 +34,4 @@
   ifndef UI32LIBS
     UI32LIBS  := gdi32.lib user32.lib
-  endif
-  ifndef QTHOME
-    QTHOME  := /usr
-  endif
-  ifndef QTFLAGS
-    QTFLAGS   := -I$(QTHOME)/include/Qt -I$(QTHOME)/include
-    MOC       := $(QTHOME)/bin/moc
-  endif
-  ifndef QTLIBS
-    QT3LIBS    := -L$(QTHOME)/lib -lqt-mt
-    QT4LIBS    := -L$(QTHOME)/lib QtCore4.lib QtGui4.lib QtOpenGL4.lib QtSql4.lib QtXml4.lib 
-    QT4LIBS    += -lG4baryons -lG4biasing -lG4bosons -lG4brep -lG4csg -lG4cuts -lG4decay -lG4detector -lG4detutils -lG4digits -lG4emhighenergy -lG4emlowenergy -lG4empolar -lG4emstandard -lG4emutils -lG4error_propagation -lG4event -lG4geombias -lG4geomBoolean -lG4geomdivision -lG4geometrymng -lG4gflash -lG4globman -lG4graphics_reps -lG4hadronic_ablation -lG4hadronic_abrasion -lG4hadronic_bert_cascade -lG4hadronic_binary -lG4hadronic_body_ci -lG4hadronic_coherent_elastic -lG4hadronic_deex_evaporation -lG4hadronic_deex_fermi_breakup -lG4hadronic_deex_fission -lG4hadronic_deex_gem_evaporation -lG4hadronic_deex_handler -lG4hadronic_deex_management -lG4hadronic_deex_multifragmentation -lG4hadronic_deex_photon_evaporation -lG4hadronic_deex_util -lG4hadronic_em_dissociation -lG4hadronic_HE -lG4hadronic_hetcpp_evaporation -lG4hadronic_hetcpp_utils -lG4hadronic_interface_ci -lG4hadronic_iso -lG4hadronic_LE -lG4hadronic_leading_particle -lG4hadronic_mgt -lG4hadronic_proc -lG4hadronic_qgstring -lG4hadronic_radioactivedecay -lG4hadronic_stop -lG4hadronic_util -lG4hadronic_xsect -lG4had_im_r_matrix -lG4had_lll_fis -lG4had_mod_man -lG4had_mod_util -lG4had_muon_nuclear -lG4had_neu_hp -lG4had_preequ_exciton -lG4had_string_diff -lG4had_string_frag -lG4had_string_man -lG4had_theo_max -lG4hepnumerics -lG4hits -lG4intercoms -lG4ions -lG4leptons -lG4magneticfield -lG4materials -lG4mesons -lG4modeling -lG4muons -lG4navigation -lG4OpenGL -lG4optical -lG4parameterisation -lG4partman -lG4partutils -lG4persistency -lG4phys_builders -lG4phys_lists -lG4procman -lG4RayTracer -lG4readout -lG4run -lG4scoring -lG4shortlived -lG4specsolids -lG4track -lG4tracking -lG4transportation -lG4Tree -lG4UIbasic -lG4UIcommon -lG4UIGAG -lG4visHepRep -lG4visXXX -lG4vis_management -lG4volumes -lG4VRML -lG4xrays
-
-    QTLIBS     := $(shell test -f $(QTHOME)/lib/Qt3Support4.lib && echo $(QT4LIBS) || echo $(QT3LIBS))
   endif
 
Index: trunk/geant4/interfaces/basic/include/G4UIQt.hh
===================================================================
--- trunk/geant4/interfaces/basic/include/G4UIQt.hh	(revision 632)
+++ trunk/geant4/interfaces/basic/include/G4UIQt.hh	(revision 633)
@@ -152,5 +152,5 @@
   void HelpTreeDoubleClicCallback( QListViewItem*);
 #else
-  void HelpTreeDoubleClicCallback( QTreeWidgetItem*, int);
+  void HelpTreeDoubleClicCallback( QTreeWidgetItem*);
 #endif
   void ShowHelpCallback();
Index: trunk/geant4/interfaces/basic/src/G4UIQt.cc
===================================================================
--- trunk/geant4/interfaces/basic/src/G4UIQt.cc	(revision 632)
+++ trunk/geant4/interfaces/basic/src/G4UIQt.cc	(revision 633)
@@ -30,5 +30,5 @@
 // L. Garnier
 
-//#define DEBUG
+//#define GEANT4_QT_DEBUG
 
 #ifdef G4UI_BUILD_QT_SESSION
@@ -547,10 +547,9 @@
     fHelpDialog = new QDialog(0,0,FALSE,Qt::WStyle_Title | Qt::WStyle_SysMenu | Qt::WStyle_MinMax );
     QVBoxLayout *vLayout = new QVBoxLayout(fHelpDialog);
-    QSplitter *splitter = new QSplitter(Qt::Horizontal,fHelpDialog);
 #else
     QVBoxLayout *vLayout = new QVBoxLayout();
     fHelpDialog = new QDialog(0,Qt::WindowTitleHint | Qt::WindowSystemMenuHint | Qt::WindowMinMaxButtonsHint);
-    QSplitter *splitter = new QSplitter(Qt::Horizontal);
-#endif
+#endif
+    QSplitter *splitter = new QSplitter(Qt::Horizontal,fHelpDialog);
     QPushButton *exitButton = new QPushButton("Exit",fHelpDialog);
     connect(exitButton, SIGNAL(clicked()), fHelpDialog,SLOT(close()));
@@ -582,9 +581,5 @@
 #endif
 
-#if QT_VERSION < 0x040000
     fHelpArea = new QTextEdit(splitter);
-#else
-    fHelpArea = new QTextEdit();
-#endif
     fHelpArea->setReadOnly(true);
 
@@ -1255,5 +1250,4 @@
 #else
 QTreeWidgetItem* item
-,int
 #endif
 )
Index: trunk/geant4/interfaces/basic/src/G4UIQt_moc.cc
===================================================================
--- trunk/geant4/interfaces/basic/src/G4UIQt_moc.cc	(revision 632)
+++ trunk/geant4/interfaces/basic/src/G4UIQt_moc.cc	(revision 633)
@@ -303,7 +303,7 @@
       93,   31,   31,   31, 0x08,
      117,   31,   31,   31, 0x08,
-     140,  189,   31,   31, 0x08,
-     191,   31,   31,   31, 0x08,
-     210,   31,   31,   31, 0x08,
+     140,   31,   31,   31, 0x08,
+     185,   31,   31,   31, 0x08,
+     204,   31,   31,   31, 0x08,
 
        0        // eod
@@ -315,6 +315,6 @@
     "CommandEnteredCallback()\0"
     "ButtonCallback(QString)\0HelpTreeClicCallback()\0"
-    "HelpTreeDoubleClicCallback(QTreeWidgetItem*,int)\0"
-    ",\0ShowHelpCallback()\0CommandHistoryCallback()\0"
+    "HelpTreeDoubleClicCallback(QTreeWidgetItem*)\0"
+    "ShowHelpCallback()\0CommandHistoryCallback()\0"
 };
 
@@ -333,9 +333,9 @@
     if (!_clname) return 0;
     if (!strcmp(_clname, qt_meta_stringdata_G4UIQt))
-	return static_cast<void*>(const_cast<G4UIQt*>(this));
+	return static_cast<void*>(const_cast< G4UIQt*>(this));
     if (!strcmp(_clname, "G4VBasicShell"))
-	return static_cast<G4VBasicShell*>(const_cast<G4UIQt*>(this));
+	return static_cast< G4VBasicShell*>(const_cast< G4UIQt*>(this));
     if (!strcmp(_clname, "G4VInteractiveSession"))
-	return static_cast<G4VInteractiveSession*>(const_cast<G4UIQt*>(this));
+	return static_cast< G4VInteractiveSession*>(const_cast< G4UIQt*>(this));
     return QObject::qt_metacast(_clname);
 }
@@ -354,5 +354,5 @@
         case 4: ButtonCallback((*reinterpret_cast< const QString(*)>(_a[1]))); break;
         case 5: HelpTreeClicCallback(); break;
-        case 6: HelpTreeDoubleClicCallback((*reinterpret_cast< QTreeWidgetItem*(*)>(_a[1])),(*reinterpret_cast< int(*)>(_a[2]))); break;
+        case 6: HelpTreeDoubleClicCallback((*reinterpret_cast< QTreeWidgetItem*(*)>(_a[1]))); break;
         case 7: ShowHelpCallback(); break;
         case 8: CommandHistoryCallback(); break;
Index: trunk/geant4/specific-geant4-dev.sh
===================================================================
--- trunk/geant4/specific-geant4-dev.sh	(revision 632)
+++ trunk/geant4/specific-geant4-dev.sh	(revision 633)
@@ -28,7 +28,8 @@
   export G4LEDATA=$G4DATA/G4EMLOW3.0
 #  export QTHOME=/usr/local/Qt/3.3.8
-#  export QTHOME=/usr/local/Qt/4.2.2
-  export QTHOME=/sw
-  export QTLIBS="-L/sw/lib -lqt-mt"
+  export QTHOME=/usr/local/Qt/4.2.2
+#  export QTHOME=/sw
+#  export QTLIBS="-L/sw/lib -lqt-mt"
+  unset QTLIBS
 
   #//////////////////////////////////////////////////////////
Index: trunk/geant4/visualization/OpenGL/include/G4OpenGLQtExportDialog.hh
===================================================================
--- trunk/geant4/visualization/OpenGL/include/G4OpenGLQtExportDialog.hh	(revision 632)
+++ trunk/geant4/visualization/OpenGL/include/G4OpenGLQtExportDialog.hh	(revision 633)
@@ -85,5 +85,5 @@
     invert buttons and hide/unhide size
 */
-  void changeSizeBox(bool);  
+  void changeSizeBox();  
 
   /** Called by changing value in height lineEdit. If ratio is keep, will also change the width
Index: trunk/geant4/visualization/OpenGL/src/G4OpenGLQtExportDialog.cc
===================================================================
--- trunk/geant4/visualization/OpenGL/src/G4OpenGLQtExportDialog.cc	(revision 632)
+++ trunk/geant4/visualization/OpenGL/src/G4OpenGLQtExportDialog.cc	(revision 633)
@@ -30,4 +30,5 @@
 // 
 
+#define GEANT4_QT_DEBUG
 #ifdef G4VIS_BUILD_OPENGLQT_DRIVER
 
@@ -45,4 +46,5 @@
 #include <qimage.h>
 #include <qlineedit.h>
+#include <qbuttongroup.h>
 
 G4OpenGLQtExportDialog::G4OpenGLQtExportDialog(
@@ -70,9 +72,5 @@
 
   // global layout
-#if QT_VERSION < 0x040000
   QVBoxLayout* globalVLayout = new QVBoxLayout(this);
-#else
-  QVBoxLayout* globalVLayout = new QVBoxLayout();
-#endif
 
   
@@ -80,21 +78,13 @@
       nomFich.endsWith(".jepg")) {
     
-    QGroupBox *imageGroupBox = new QGroupBox(tr("Image quality"));
-#if QT_VERSION < 0x040000
+    QGroupBox *imageGroupBox = new QGroupBox(tr("Image quality"),this);
     QVBoxLayout *imageGroupBoxLayout = new QVBoxLayout(imageGroupBox);
-#else
-    QVBoxLayout *imageGroupBoxLayout = new QVBoxLayout;
-#endif
     QWidget *sliderBox = new QWidget;
 
-#if QT_VERSION < 0x040000
     QHBoxLayout *hSlider = new QHBoxLayout(sliderBox);
-#else
-    QHBoxLayout *hSlider = new QHBoxLayout;
-#endif
 
     //    qualityLabel =  new QLabel( tr( "Image quality" ) );
     //    imageGroupBoxLayout->addWidget(qualityLabel);
-    qualitySlider= new QSlider(Qt::Horizontal,0);
+    qualitySlider= new QSlider(Qt::Horizontal,this);
 #if QT_VERSION < 0x040000
     qualitySlider->setMinValue(0);
@@ -107,7 +97,7 @@
 #endif
     qualitySlider->setValue(60);
-    hSlider->addWidget(new QLabel("low",0));
+    hSlider->addWidget(new QLabel("low",this));
     hSlider->addWidget(qualitySlider);
-    hSlider->addWidget(new QLabel("Maximum",0));
+    hSlider->addWidget(new QLabel("Maximum",this));
 #if QT_VERSION >= 0x040000
     sliderBox->setLayout(hSlider);
@@ -122,11 +112,4 @@
   
   if(nomFich.endsWith(".eps")) {
-    QGroupBox *EPSGroupBox = new QGroupBox(tr("EPS options"));
-
-#if QT_VERSION < 0x040000
-    QVBoxLayout *EPSGroupBoxLayout = new QVBoxLayout(EPSGroupBox);
-#else
-    QVBoxLayout *EPSGroupBoxLayout = new QVBoxLayout;
-#endif
 
     //    transparencyEPS = new QCheckBox( "transparencyEPS" );
@@ -134,17 +117,34 @@
     //    transparencyEPS->setChecked( true );
 
-    colorButton = new QRadioButton("Color",0);
-    BWButton = new QRadioButton("Grayscale",0);
+    colorButton = new QRadioButton("Color",this);
+    BWButton = new QRadioButton("Grayscale",this);
+
+    QWidget * EPSWidgetGroupBox; // widget containing group button
+    QButtonGroup * EPSButtonGroupBox; // group button 
+#if QT_VERSION < 0x040000
+    EPSButtonGroupBox = new QButtonGroup( 2,Qt::Vertical, tr("EPS options"),this);
+    EPSButtonGroupBox->insert(colorButton);
+    EPSButtonGroupBox->insert(BWButton);
+    EPSButtonGroupBox->setExclusive(true);
     colorButton->setChecked( true );
-    BWButton->setChecked( false );
-
-
-    //    EPSGroupBoxLayout->addWidget(transparencyEPS);    
+    EPSWidgetGroupBox = EPSButtonGroupBox;
+
+#else
+    EPSWidgetGroupBox = new QGroupBox(tr("EPS options"));
+    QVBoxLayout *EPSGroupBoxLayout = new QVBoxLayout(EPSWidgetGroupBox);
+    EPSButtonGroupBox = new QButtonGroup();
+    colorButton->setChecked( true );
+    EPSButtonGroupBox->addButton(colorButton);
+    EPSButtonGroupBox->addButton(BWButton);
+    EPSButtonGroupBox->setExclusive(true);
+
     EPSGroupBoxLayout->addWidget(colorButton);    
     EPSGroupBoxLayout->addWidget(BWButton);    
-#if QT_VERSION >= 0x040000
-    EPSGroupBox->setLayout(EPSGroupBoxLayout);
-#endif
-    globalVLayout->addWidget(EPSGroupBox);
+    EPSWidgetGroupBox->setLayout(EPSGroupBoxLayout);
+
+#endif
+
+    //    EPSGroupBoxLayout->addWidget(transparencyEPS);    
+    globalVLayout->addWidget(EPSWidgetGroupBox);
 
   }
@@ -156,12 +156,8 @@
      nomFich.endsWith(".xpm")) {
 
-    QGroupBox *transparencyGroupBox = new QGroupBox(tr("Transparency"));
-#if QT_VERSION < 0x040000
+    QGroupBox *transparencyGroupBox = new QGroupBox(tr("Transparency"),this);
     QVBoxLayout *transparencyGroupBoxLayout = new QVBoxLayout(transparencyGroupBox);
-#else
-    QVBoxLayout *transparencyGroupBoxLayout = new QVBoxLayout;
-#endif
-
-    boxTransparency = new QCheckBox("Save transparency",0);
+
+    boxTransparency = new QCheckBox("Save transparency",this);
     boxTransparency->setChecked( false );
     //    boxTransparency->setEnabled(false);
@@ -176,25 +172,51 @@
 
   // size box
-  QGroupBox *sizeGroupBox = new QGroupBox(tr("Size"));
   QWidget* modifyAndRatioWidget = new QWidget;
 
-#if QT_VERSION < 0x040000
   QHBoxLayout *modifyAndRatioLayout = new QHBoxLayout(modifyAndRatioWidget);
-  QVBoxLayout *sizeGroupBoxLayout = new QVBoxLayout(sizeGroupBox);
-#else
-  QHBoxLayout *modifyAndRatioLayout = new QHBoxLayout;
-  QVBoxLayout *sizeGroupBoxLayout = new QVBoxLayout;
-#endif
 
   // original button
-  original = new QRadioButton("Original",0);
+  original = new QRadioButton("Original",this);
+  // modify and ratio
+  modify = new QRadioButton("Modify",this);
+
+  QWidget * sizeWidgetGroupBox; // widget containing group button
+  QButtonGroup * sizeButtonGroupBox; // group button 
+  QLayout *sizeGroupBoxLayout;
+#if QT_VERSION < 0x040000
+  sizeButtonGroupBox = new QButtonGroup ( 2,Qt::Vertical, tr("Size"),this);
+
+  original = new QRadioButton("Original",sizeButtonGroupBox);
+  modify = new QRadioButton("Modify",sizeButtonGroupBox);
+
+  sizeButtonGroupBox->insert(original);
+  sizeButtonGroupBox->insert(modify);
+  sizeButtonGroupBox->setExclusive(true);
   original->setChecked( true );
-  sizeGroupBoxLayout->addWidget(original);
-
-  // modify and ratio
-  modify = new QRadioButton("Modify",0);
-  modify->setChecked( false );
-
-  ratioCheckBox = new QCheckBox( "Keep ratio",0 );
+  sizeWidgetGroupBox = sizeButtonGroupBox;
+  sizeGroupBoxLayout = sizeWidgetGroupBox->layout();
+
+#else
+  
+  sizeWidgetGroupBox = new QGroupBox(tr("Size"));
+  sizeGroupBoxLayout = new QVBoxLayout(sizeWidgetGroupBox);
+  sizeButtonGroupBox = new QButtonGroup();
+  original->setChecked( true );
+
+  original = new QRadioButton("Original");
+  modify = new QRadioButton("Modify");
+
+  sizeButtonGroupBox->addButton(modify);
+  sizeButtonGroupBox->addButton(original);
+  sizeButtonGroupBox->setExclusive(true);
+
+  sizeGroupBoxLayout->addWidget(modify);    
+  sizeGroupBoxLayout->addWidget(original);    
+  
+  sizeWidgetGroupBox->setLayout(sizeGroupBoxLayout);
+#endif
+
+
+  ratioCheckBox = new QCheckBox( "Keep ratio",modifyAndRatioWidget);
   ratioCheckBox->setChecked( true );
 
@@ -204,5 +226,9 @@
   modifyAndRatioWidget->setLayout(modifyAndRatioLayout);
 #endif
+#if QT_VERSION < 0x040000
+  sizeGroupBoxLayout->add(modifyAndRatioWidget);
+#else
   sizeGroupBoxLayout->addWidget(modifyAndRatioWidget);
+#endif
   if (modify->isChecked()) {
     ratioCheckBox->show();
@@ -211,26 +237,33 @@
   }
 
-  connect( original, SIGNAL( clicked(bool) ), this, SLOT( changeSizeBox(true)) );
-  connect( modify, SIGNAL( clicked(bool) ), this, SLOT( changeSizeBox(false) ) );
+#if QT_VERSION < 0x040000
+  connect( sizeButtonGroupBox, SIGNAL( clicked(int) ), this, SLOT( changeSizeBox()) );
+#else
+  connect( sizeButtonGroupBox, SIGNAL( buttonClicked(int) ), this, SLOT( changeSizeBox()) );
+#endif
 
   // height
   heightWidget = new QWidget;
 
-#if QT_VERSION < 0x040000
   QHBoxLayout *heightLineLayout = new QHBoxLayout(heightWidget);
-#else
-  QHBoxLayout *heightLineLayout = new QHBoxLayout;
-#endif
 
   QString tmp;
  
-  heightLineLayout->addWidget(new QLabel("Height",0));
-  height = new QLineEdit(tmp.setNum(originalHeight),0);
+  heightLineLayout->addWidget(new QLabel("Height",this));
+  height = new QLineEdit(tmp.setNum(originalHeight),this);
   height->setMaxLength(5);
+#if QT_VERSION < 0x040000
+  heightLineLayout->add(height);
+#else
   heightLineLayout->addWidget(height);
+#endif
 #if QT_VERSION >= 0x040000
   heightWidget->setLayout(heightLineLayout);
 #endif
+#if QT_VERSION < 0x040000
+  sizeGroupBoxLayout->add(heightWidget);
+#else
   sizeGroupBoxLayout->addWidget(heightWidget);
+#endif
   connect( height, SIGNAL( textChanged ( const QString& ) ), this, SLOT( textHeightChanged(const QString &) ) );
 
@@ -239,24 +272,32 @@
   widthWidget = new QWidget;
 
-#if QT_VERSION < 0x040000
   QHBoxLayout *widthLineLayout = new QHBoxLayout(widthWidget);
-#else
-  QHBoxLayout *widthLineLayout = new QHBoxLayout;
-#endif
-
-  widthLineLayout->addWidget(new QLabel("Width ",0));
-  width = new QLineEdit(tmp.setNum(originalWidth),0);
+
+#if QT_VERSION < 0x040000
+  widthLineLayout->add(new QLabel("Width ",widthWidget));
+#else
+  widthLineLayout->addWidget(new QLabel("Width ",widthWidget));
+#endif
+  width = new QLineEdit(tmp.setNum(originalWidth),this);
   width->setMaxLength(5);
+#if QT_VERSION < 0x040000
+  widthLineLayout->add(width);
+#else
   widthLineLayout->addWidget(width);
+#endif
 #if QT_VERSION >= 0x040000
   widthWidget->setLayout(widthLineLayout);
 #endif
+#if QT_VERSION < 0x040000
+  sizeGroupBoxLayout->add(widthWidget);
+#else
   sizeGroupBoxLayout->addWidget(widthWidget);
+#endif
   connect( width, SIGNAL( textChanged ( const QString& ) ), this, SLOT( textWidthChanged(const QString &) ) );
 
 #if QT_VERSION >= 0x040000
-  sizeGroupBox->setLayout(sizeGroupBoxLayout);
-#endif
-  globalVLayout->addWidget(sizeGroupBox);
+  sizeWidgetGroupBox->setLayout(sizeGroupBoxLayout);
+#endif
+  globalVLayout->addWidget(sizeWidgetGroupBox);
 
   heightWidget->hide();
@@ -265,18 +306,14 @@
   // button ok/cancel box
 
-  QGroupBox *buttonGroupBox = new QGroupBox();
-
-#if QT_VERSION < 0x040000
+  QGroupBox *buttonGroupBox = new QGroupBox(this);
+
   QHBoxLayout *buttonGroupBoxLayout = new QHBoxLayout(buttonGroupBox);
-#else
-  QHBoxLayout *buttonGroupBoxLayout = new QHBoxLayout;
-#endif
-
-  buttonOk = new QPushButton( tr( "&OK" ),0 );
+
+  buttonOk = new QPushButton( tr( "&OK" ),buttonGroupBox );
   buttonOk->setAutoDefault( TRUE );
   buttonOk->setDefault( TRUE );
   buttonGroupBoxLayout->addWidget(buttonOk);
 
-  buttonCancel = new QPushButton( tr( "&Cancel" ),0 );
+  buttonCancel = new QPushButton( tr( "&Cancel" ),buttonGroupBox );
   buttonCancel->setAutoDefault( TRUE );
   buttonGroupBoxLayout->addWidget(buttonCancel);
@@ -333,11 +370,6 @@
 
 
-void G4OpenGLQtExportDialog::changeSizeBox(bool aClick)
-{
-  if (aClick) {
-    modify->toggle();
-  } else {
-    original->toggle();
-  }
+void G4OpenGLQtExportDialog::changeSizeBox()
+{
   if ( original->isChecked()) {
     heightWidget->hide();
Index: trunk/geant4/visualization/OpenGL/src/G4OpenGLQtExportDialog_moc.cc
===================================================================
--- trunk/geant4/visualization/OpenGL/src/G4OpenGLQtExportDialog_moc.cc	(revision 632)
+++ trunk/geant4/visualization/OpenGL/src/G4OpenGLQtExportDialog_moc.cc	(revision 633)
@@ -206,11 +206,9 @@
 ** Meta object code from reading C++ file 'G4OpenGLQtExportDialog.hh'
 **
-** Created: Fri Sep 28 12:35:41 2007
-**      by: The Qt Meta Object Compiler version 59 (Qt 4.2.2)
+** Created: Mon Dec 3 16:30:26 2007
+**      by: The Qt Meta Object Compiler version 59 (Qt 4.3.0)
 **
 ** WARNING! All changes made in this file will be lost!
 *****************************************************************************/
-
-
 
 #include "../include/G4OpenGLQtExportDialog.hh"
@@ -218,5 +216,5 @@
 #error "The header file 'G4OpenGLQtExportDialog.hh' doesn't include <QObject>."
 #elif Q_MOC_OUTPUT_REVISION != 59
-#error "This file was generated using the moc from 4.2.2. It"
+#error "This file was generated using the moc from 4.3.0. It"
 #error "cannot be used with the include files from this version of Qt."
 #error "(The moc has changed too much.)"
@@ -234,7 +232,7 @@
 
  // slots: signature, parameters, type, tag, flags
-      23,   43,   43,   43, 0x0a,
-      44,   43,   43,   43, 0x0a,
-      70,   43,   43,   43, 0x0a,
+      23,   39,   39,   39, 0x0a,
+      40,   39,   39,   39, 0x0a,
+      66,   39,   39,   39, 0x0a,
 
        0        // eod
@@ -242,5 +240,5 @@
 
 static const char qt_meta_stringdata_G4OpenGLQtExportDialog[] = {
-    "G4OpenGLQtExportDialog\0changeSizeBox(bool)\0"
+    "G4OpenGLQtExportDialog\0changeSizeBox()\0"
     "\0textWidthChanged(QString)\0"
     "textHeightChanged(QString)\0"
@@ -261,5 +259,5 @@
     if (!_clname) return 0;
     if (!strcmp(_clname, qt_meta_stringdata_G4OpenGLQtExportDialog))
-	return static_cast<void*>(const_cast<G4OpenGLQtExportDialog*>(this));
+	return static_cast<void*>(const_cast< G4OpenGLQtExportDialog*>(this));
     return QDialog::qt_metacast(_clname);
 }
@@ -272,5 +270,5 @@
     if (_c == QMetaObject::InvokeMetaMethod) {
         switch (_id) {
-        case 0: changeSizeBox((*reinterpret_cast< bool(*)>(_a[1]))); break;
+        case 0: changeSizeBox(); break;
         case 1: textWidthChanged((*reinterpret_cast< const QString(*)>(_a[1]))); break;
         case 2: textHeightChanged((*reinterpret_cast< const QString(*)>(_a[1]))); break;
Index: trunk/geant4/visualization/OpenGL/src/G4OpenGLQtViewer.cc
===================================================================
--- trunk/geant4/visualization/OpenGL/src/G4OpenGLQtViewer.cc	(revision 632)
+++ trunk/geant4/visualization/OpenGL/src/G4OpenGLQtViewer.cc	(revision 633)
@@ -212,9 +212,5 @@
   }
 
-#if QT_VERSION < 0x040000
   QHBoxLayout *mainLayout = new QHBoxLayout(GLWindow);
-#else
-  QHBoxLayout *mainLayout = new QHBoxLayout;
-#endif
 
   mainLayout->addWidget(fWindow);