Index: /trunk/geant4/interfaces/GNUmakefile
===================================================================
--- /trunk/geant4/interfaces/GNUmakefile	(revision 647)
+++ /trunk/geant4/interfaces/GNUmakefile	(revision 648)
@@ -13,4 +13,7 @@
 
 GLOBLIBS = libG4intercoms.lib libG4global.lib
+
+# Definition of macro for moc files (for Qt use only)
+MOC_MACRO = -D G4UI_BUILD_QT_SESSION
 
 include $(G4INSTALL)/config/architecture.gmk
Index: /trunk/geant4/interfaces/basic/GNUmakefile
===================================================================
--- /trunk/geant4/interfaces/basic/GNUmakefile	(revision 647)
+++ /trunk/geant4/interfaces/basic/GNUmakefile	(revision 648)
@@ -8,4 +8,7 @@
   G4INSTALL = ../../..
 endif
+
+# Definition of macro for moc files (for Qt use only)
+MOC_MACRO = -D G4UI_BUILD_QT_SESSION
 
 include $(G4INSTALL)/config/architecture.gmk
Index: /trunk/geant4/interfaces/basic/include/G4UIArrayString.hh
===================================================================
--- /trunk/geant4/interfaces/basic/include/G4UIArrayString.hh	(revision 647)
+++ /trunk/geant4/interfaces/basic/include/G4UIArrayString.hh	(revision 648)
@@ -26,5 +26,5 @@
 //
 // $Id: G4UIArrayString.hh,v 1.3 2006/06/29 19:09:27 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-00-ref-01 $
 //
 
Index: /trunk/geant4/interfaces/basic/include/G4UIQt.hh
===================================================================
--- /trunk/geant4/interfaces/basic/include/G4UIQt.hh	(revision 647)
+++ /trunk/geant4/interfaces/basic/include/G4UIQt.hh	(revision 648)
@@ -149,9 +149,5 @@
   void ButtonCallback(const QString&);
   void HelpTreeClicCallback();
-#if QT_VERSION < 0x040000
-  void HelpTreeDoubleClicCallback( QListViewItem*);
-#else
-  void HelpTreeDoubleClicCallback( QTreeWidgetItem*);
-#endif
+  void HelpTreeDoubleClicCallback();
   void ShowHelpCallback();
   void CommandHistoryCallback();
Index: /trunk/geant4/interfaces/basic/include/G4UIWin32.hh
===================================================================
--- /trunk/geant4/interfaces/basic/include/G4UIWin32.hh	(revision 647)
+++ /trunk/geant4/interfaces/basic/include/G4UIWin32.hh	(revision 648)
@@ -26,5 +26,5 @@
 //
 // $Id: G4UIWin32.hh,v 1.14 2006/06/29 19:09:29 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-00-ref-01 $
 //
 #ifndef G4UIWin32_h
Index: /trunk/geant4/interfaces/basic/include/G4UIXaw.hh
===================================================================
--- /trunk/geant4/interfaces/basic/include/G4UIXaw.hh	(revision 647)
+++ /trunk/geant4/interfaces/basic/include/G4UIXaw.hh	(revision 648)
@@ -26,5 +26,5 @@
 //
 // $Id: G4UIXaw.hh,v 1.6 2006/06/29 19:09:31 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-00-ref-01 $
 //
 #ifndef G4UIXaw_h
Index: /trunk/geant4/interfaces/basic/include/G4UIXm.hh
===================================================================
--- /trunk/geant4/interfaces/basic/include/G4UIXm.hh	(revision 647)
+++ /trunk/geant4/interfaces/basic/include/G4UIXm.hh	(revision 648)
@@ -26,5 +26,5 @@
 //
 // $Id: G4UIXm.hh,v 1.13 2006/06/29 19:09:33 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-00-ref-01 $
 //
 #ifndef G4UIXm_h
Index: /trunk/geant4/interfaces/basic/include/G4UIcsh.hh
===================================================================
--- /trunk/geant4/interfaces/basic/include/G4UIcsh.hh	(revision 647)
+++ /trunk/geant4/interfaces/basic/include/G4UIcsh.hh	(revision 648)
@@ -26,5 +26,5 @@
 //
 // $Id: G4UIcsh.hh,v 1.4 2006/06/29 19:09:35 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-00-ref-01 $
 //
 
Index: /trunk/geant4/interfaces/basic/include/G4UItcsh.hh
===================================================================
--- /trunk/geant4/interfaces/basic/include/G4UItcsh.hh	(revision 647)
+++ /trunk/geant4/interfaces/basic/include/G4UItcsh.hh	(revision 648)
@@ -26,5 +26,5 @@
 //
 // $Id: G4UItcsh.hh,v 1.8 2007/06/14 05:44:58 kmura Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-00-ref-01 $
 //
 
Index: /trunk/geant4/interfaces/basic/include/G4UIterminal.hh
===================================================================
--- /trunk/geant4/interfaces/basic/include/G4UIterminal.hh	(revision 647)
+++ /trunk/geant4/interfaces/basic/include/G4UIterminal.hh	(revision 648)
@@ -25,5 +25,5 @@
 //
 // $Id: G4UIterminal.hh,v 1.10 2007/05/22 01:51:05 kmura Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-00-ref-01 $
 //
 // ====================================================================
Index: /trunk/geant4/interfaces/basic/include/G4VUIshell.hh
===================================================================
--- /trunk/geant4/interfaces/basic/include/G4VUIshell.hh	(revision 647)
+++ /trunk/geant4/interfaces/basic/include/G4VUIshell.hh	(revision 648)
@@ -26,5 +26,5 @@
 //
 // $Id: G4VUIshell.hh,v 1.7 2007/06/14 05:44:58 kmura Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-00-ref-01 $
 //
 
Index: /trunk/geant4/interfaces/basic/src/G4UIArrayString.cc
===================================================================
--- /trunk/geant4/interfaces/basic/src/G4UIArrayString.cc	(revision 647)
+++ /trunk/geant4/interfaces/basic/src/G4UIArrayString.cc	(revision 648)
@@ -26,5 +26,5 @@
 //
 // $Id: G4UIArrayString.cc,v 1.8 2006/06/29 19:09:43 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-00-ref-01 $
 //
 
Index: /trunk/geant4/interfaces/basic/src/G4UIQt.cc
===================================================================
--- /trunk/geant4/interfaces/basic/src/G4UIQt.cc	(revision 647)
+++ /trunk/geant4/interfaces/basic/src/G4UIQt.cc	(revision 648)
@@ -605,10 +605,11 @@
     }
 
+
 #if QT_VERSION < 0x040000
     connect(fHelpTreeWidget, SIGNAL(selectionChanged ()),this, SLOT(HelpTreeClicCallback()));  
-    connect(fHelpTreeWidget, SIGNAL(doubleClicked (QListViewItem*)),this, SLOT(HelpTreeDoubleClicCallback(QListViewItem*)));
+    connect(fHelpTreeWidget, SIGNAL(doubleClicked (QListViewItem*)),this, SLOT(HelpTreeDoubleClicCallback()));
 #else
     connect(fHelpTreeWidget, SIGNAL(itemSelectionChanged ()),this, SLOT(HelpTreeClicCallback()));  
-    connect(fHelpTreeWidget, SIGNAL(itemDoubleClicked (QTreeWidgetItem*,int)),this, SLOT(HelpTreeDoubleClicCallback(QTreeWidgetItem*)));  
+    connect(fHelpTreeWidget, SIGNAL(itemDoubleClicked (QTreeWidgetItem*,int)),this, SLOT(HelpTreeDoubleClicCallback()));  
 #endif
 
@@ -1236,13 +1237,40 @@
 */
 void G4UIQt::HelpTreeDoubleClicCallback (
-#if QT_VERSION < 0x040000
-QListViewItem* item
-#else
-QTreeWidgetItem* item
-#endif
 )
 {
   HelpTreeClicCallback();
-  fCommandArea->setText(item->text (1));
+
+#if QT_VERSION < 0x040000
+  QListViewItem* item =  NULL;
+#else
+  QTreeWidgetItem* item =  NULL;
+#endif
+  if (!fHelpTreeWidget)
+    return ;
+
+  if (!fHelpArea)
+    return;
+  
+#if QT_VERSION < 0x040000
+  item =fHelpTreeWidget->selectedItem();
+#else
+  QList<QTreeWidgetItem *> list =fHelpTreeWidget->selectedItems();
+  if (list.isEmpty())
+    return;
+  item = list.first();
+#endif
+  if (!item)
+    return;
+
+#if QT_VERSION >= 0x040000
+#if QT_VERSION < 0x040200
+    fCommandArea->clear();
+    fCommandArea->append(item->text(1));
+#else
+    fCommandArea->setText(item->text(1));
+#endif
+#else
+    fCommandArea->setText(item->text(1));
+#endif
 }
 
Index: /trunk/geant4/interfaces/basic/src/G4UIQt_moc.cc
===================================================================
--- /trunk/geant4/interfaces/basic/src/G4UIQt_moc.cc	(revision 647)
+++ /trunk/geant4/interfaces/basic/src/G4UIQt_moc.cc	(revision 648)
@@ -1,169 +1,7 @@
-/****************************************************************************
-** G4UIQt meta object code from reading C++ file 'G4UIQt.hh'
-**
-** Created: Tue Nov 13 18:13:09 2007
-**      by: The Qt MOC ($Id: G4UIQt_moc.cc,v 1.9 2007/11/30 14:28:50 lgarnier Exp $)
-**
-** WARNING! All changes made in this file will be lost!
-*****************************************************************************/
-
-#ifdef G4UI_BUILD_QT_SESSION
-
-#undef QT_NO_COMPAT
-#include "../include/G4UIQt.hh"
-#include <qmetaobject.h>
-#include <qapplication.h>
-
-#if defined(Q_MOC_OUTPUT_REVISION) && (Q_MOC_OUTPUT_REVISION == 26)
-
-#include <private/qucomextra_p.h>
-#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
-#error "This file was generated using the moc from 3.3.8. It"
-#error "cannot be used with the include files from this version of Qt."
-#error "(The moc has changed too much.)"
-#endif
-
-const char *G4UIQt::className() const
-{
-    return "G4UIQt";
-}
-
-QMetaObject *G4UIQt::metaObj = 0;
-static QMetaObjectCleanUp cleanUp_G4UIQt( "G4UIQt", &G4UIQt::staticMetaObject );
-
-#ifndef QT_NO_TRANSLATION
-QString G4UIQt::tr( const char *s, const char *c )
-{
-    if ( qApp )
-	return qApp->translate( "G4UIQt", s, c, QApplication::DefaultCodec );
-    else
-	return QString::fromLatin1( s );
-}
-#ifndef QT_NO_TRANSLATION_UTF8
-QString G4UIQt::trUtf8( const char *s, const char *c )
-{
-    if ( qApp )
-	return qApp->translate( "G4UIQt", s, c, QApplication::UnicodeUTF8 );
-    else
-	return QString::fromUtf8( s );
-}
-#endif // QT_NO_TRANSLATION_UTF8
-
-#endif // QT_NO_TRANSLATION
-
-QMetaObject* G4UIQt::staticMetaObject()
-{
-    if ( metaObj )
-	return metaObj;
-    QMetaObject* parentObject = QObject::staticMetaObject();
-    static const QUMethod slot_0 = {"ExitSession", 0, 0 };
-    static const QUMethod slot_1 = {"ClearButtonCallback", 0, 0 };
-    static const QUMethod slot_2 = {"CommandEnteredCallback", 0, 0 };
-    static const QUParameter param_slot_3[] = {
-	{ 0, &static_QUType_QString, 0, QUParameter::In }
-    };
-    static const QUMethod slot_3 = {"ButtonCallback", 1, param_slot_3 };
-    static const QUMethod slot_4 = {"HelpTreeClicCallback", 0, 0 };
-    static const QUParameter param_slot_5[] = {
-	{ 0, &static_QUType_ptr, "QListViewItem", QUParameter::In }
-    };
-    static const QUMethod slot_5 = {"HelpTreeDoubleClicCallback", 1, param_slot_5 };
-    static const QUMethod slot_6 = {"ShowHelpCallback", 0, 0 };
-    static const QUMethod slot_7 = {"CommandHistoryCallback", 0, 0 };
-    static const QMetaData slot_tbl[] = {
-	{ "ExitSession()", &slot_0, QMetaData::Private },
-	{ "ClearButtonCallback()", &slot_1, QMetaData::Private },
-	{ "CommandEnteredCallback()", &slot_2, QMetaData::Private },
-	{ "ButtonCallback(const QString&)", &slot_3, QMetaData::Private },
-	{ "HelpTreeClicCallback()", &slot_4, QMetaData::Private },
-	{ "HelpTreeDoubleClicCallback(QListViewItem*)", &slot_5, QMetaData::Private },
-	{ "ShowHelpCallback()", &slot_6, QMetaData::Private },
-	{ "CommandHistoryCallback()", &slot_7, QMetaData::Private }
-    };
-    static const QUParameter param_signal_0[] = {
-	{ "text", &static_QUType_QString, 0, QUParameter::In }
-    };
-    static const QUMethod signal_0 = {"myClicked", 1, param_signal_0 };
-    static const QMetaData signal_tbl[] = {
-	{ "myClicked(const QString&)", &signal_0, QMetaData::Private }
-    };
-    metaObj = QMetaObject::new_metaobject(
-	"G4UIQt", parentObject,
-	slot_tbl, 8,
-	signal_tbl, 1,
-#ifndef QT_NO_PROPERTIES
-	0, 0,
-	0, 0,
-#endif // QT_NO_PROPERTIES
-	0, 0 );
-    cleanUp_G4UIQt.setMetaObject( metaObj );
-    return metaObj;
-}
-
-void* G4UIQt::qt_cast( const char* clname )
-{
-    if ( !qstrcmp( clname, "G4UIQt" ) )
-	return this;
-    if ( !qstrcmp( clname, "G4VBasicShell" ) )
-	return (G4VBasicShell*)this;
-    if ( !qstrcmp( clname, "G4VInteractiveSession" ) )
-	return (G4VInteractiveSession*)this;
-    return QObject::qt_cast( clname );
-}
-
-// SIGNAL myClicked
-void G4UIQt::myClicked( const QString& t0 )
-{
-    activate_signal( staticMetaObject()->signalOffset() + 0, t0 );
-}
-
-bool G4UIQt::qt_invoke( int _id, QUObject* _o )
-{
-    switch ( _id - staticMetaObject()->slotOffset() ) {
-    case 0: ExitSession(); break;
-    case 1: ClearButtonCallback(); break;
-    case 2: CommandEnteredCallback(); break;
-    case 3: ButtonCallback((const QString&)static_QUType_QString.get(_o+1)); break;
-    case 4: HelpTreeClicCallback(); break;
-    case 5: HelpTreeDoubleClicCallback((QListViewItem*)static_QUType_ptr.get(_o+1)); break;
-    case 6: ShowHelpCallback(); break;
-    case 7: CommandHistoryCallback(); break;
-    default:
-	return QObject::qt_invoke( _id, _o );
-    }
-    return TRUE;
-}
-
-bool G4UIQt::qt_emit( int _id, QUObject* _o )
-{
-    switch ( _id - staticMetaObject()->signalOffset() ) {
-    case 0: myClicked((const QString&)static_QUType_QString.get(_o+1)); break;
-    default:
-	return QObject::qt_emit(_id,_o);
-    }
-    return TRUE;
-}
-#ifndef QT_NO_PROPERTIES
-
-bool G4UIQt::qt_property( int id, int f, QVariant* v)
-{
-    return QObject::qt_property( id, f, v);
-}
-
-bool G4UIQt::qt_static_property( QObject* , int , int , QVariant* ){ return FALSE; }
-#endif // QT_NO_PROPERTIES
-
-
-#endif
-#endif
-
-
-#if defined(Q_MOC_OUTPUT_REVISION) && (Q_MOC_OUTPUT_REVISION == 58)
-
 /****************************************************************************
 ** Meta object code from reading C++ file 'G4UIQt.hh'
 **
-** Created: jeu. 22. nov. 13:59:01 2007
-**      by: The Qt Meta Object Compiler version 58 (Qt 4.0.1)
+** Created: Fri Dec 7 17:04:54 2007
+**      by: The Qt Meta Object Compiler version 59 (Qt 4.2.2)
 **
 ** WARNING! All changes made in this file will be lost!
@@ -173,6 +11,6 @@
 #if !defined(Q_MOC_OUTPUT_REVISION)
 #error "The header file 'G4UIQt.hh' doesn't include <QObject>."
-#elif Q_MOC_OUTPUT_REVISION != 58
-#error "This file was generated using the moc from 4.0.1. It"
+#elif Q_MOC_OUTPUT_REVISION != 59
+#error "This file was generated using the moc from 4.2.2. It"
 #error "cannot be used with the include files from this version of Qt."
 #error "(The moc has changed too much.)"
@@ -185,19 +23,20 @@
        0,       // classname
        0,    0, // classinfo
-       8,   10, // methods
+       9,   10, // methods
        0,    0, // properties
        0,    0, // enums/sets
 
  // signals: signature, parameters, type, tag, flags
-      13,    8,    7,    7, 0x05,
+       7,   26,   31,   31, 0x05,
 
  // slots: signature, parameters, type, tag, flags
-      32,    7,    7,    7, 0x08,
-      46,    7,    7,    7, 0x08,
-      68,    7,    7,    7, 0x08,
-      93,    7,    7,    7, 0x08,
-     117,    7,    7,    7, 0x08,
-     140,    7,    7,    7, 0x08,
-     159,    7,    7,    7, 0x08,
+      32,   31,   31,   31, 0x08,
+      46,   31,   31,   31, 0x08,
+      68,   31,   31,   31, 0x08,
+      93,   31,   31,   31, 0x08,
+     117,   31,   31,   31, 0x08,
+     140,   31,   31,   31, 0x08,
+     169,   31,   31,   31, 0x08,
+     188,   31,   31,   31, 0x08,
 
        0        // eod
@@ -205,8 +44,10 @@
 
 static const char qt_meta_stringdata_G4UIQt[] = {
-    "G4UIQt\0\0text\0myClicked(QString)\0ExitSession()\0"
-    "ClearButtonCallback()\0CommandEnteredCallback()\0"
-    "ButtonCallback(QString)\0HelpTreeClicCallback()\0ShowHelpCallback()\0"
-    "CommandHistoryCallback()\0"
+    "G4UIQt\0myClicked(QString)\0text\0\0"
+    "ExitSession()\0ClearButtonCallback()\0"
+    "CommandEnteredCallback()\0"
+    "ButtonCallback(QString)\0HelpTreeClicCallback()\0"
+    "HelpTreeDoubleClicCallback()\0"
+    "ShowHelpCallback()\0CommandHistoryCallback()\0"
 };
 
@@ -240,112 +81,4 @@
     if (_c == QMetaObject::InvokeMetaMethod) {
         switch (_id) {
-        case 0: myClicked(*(QString*)_a[1]); break;
-        case 1: ExitSession(); break;
-        case 2: ClearButtonCallback(); break;
-        case 3: CommandEnteredCallback(); break;
-        case 4: ButtonCallback(*(QString*)_a[1]); break;
-        case 5: HelpTreeClicCallback(); break;
-        case 6: ShowHelpCallback(); break;
-        case 7: CommandHistoryCallback(); break;
-        }
-        _id -= 8;
-    }
-    return _id;
-}
-
-// SIGNAL 0
-void G4UIQt::myClicked(const QString & _t1)
-{
-    void *_a[] = { 0, (void*)&_t1 };
-    QMetaObject::activate(this, &staticMetaObject, 0, _a);
-}
-#else
-
-#if defined(Q_MOC_OUTPUT_REVISION) && (Q_MOC_OUTPUT_REVISION == 59)
-
-/****************************************************************************
-** Meta object code from reading C++ file 'G4UIQt.hh'
-**
-** Created: Mon Oct 1 10:59:35 2007
-**      by: The Qt Meta Object Compiler version 59 (Qt 4.2.2)
-**
-** WARNING! All changes made in this file will be lost!
-*****************************************************************************/
-
-
-
-#include "../include/G4UIQt.hh"
-#if !defined(Q_MOC_OUTPUT_REVISION)
-#error "The header file 'G4UIQt.hh' doesn't include <QObject>."
-#elif Q_MOC_OUTPUT_REVISION != 59
-#error "This file was generated using the moc from 4.2.2. It"
-#error "cannot be used with the include files from this version of Qt."
-#error "(The moc has changed too much.)"
-#endif
-
-static const uint qt_meta_data_G4UIQt[] = {
-
- // content:
-       1,       // revision
-       0,       // classname
-       0,    0, // classinfo
-       9,   10, // methods
-       0,    0, // properties
-       0,    0, // enums/sets
-
- // signals: signature, parameters, type, tag, flags
-       7,   26,   31,   31, 0x05,
-
- // slots: signature, parameters, type, tag, flags
-      32,   31,   31,   31, 0x08,
-      46,   31,   31,   31, 0x08,
-      68,   31,   31,   31, 0x08,
-      93,   31,   31,   31, 0x08,
-     117,   31,   31,   31, 0x08,
-     140,   31,   31,   31, 0x08,
-     185,   31,   31,   31, 0x08,
-     204,   31,   31,   31, 0x08,
-
-       0        // eod
-};
-
-static const char qt_meta_stringdata_G4UIQt[] = {
-    "G4UIQt\0myClicked(QString)\0text\0\0"
-    "ExitSession()\0ClearButtonCallback()\0"
-    "CommandEnteredCallback()\0"
-    "ButtonCallback(QString)\0HelpTreeClicCallback()\0"
-    "HelpTreeDoubleClicCallback(QTreeWidgetItem*)\0"
-    "ShowHelpCallback()\0CommandHistoryCallback()\0"
-};
-
-const QMetaObject G4UIQt::staticMetaObject = {
-    { &QObject::staticMetaObject, qt_meta_stringdata_G4UIQt,
-      qt_meta_data_G4UIQt, 0 }
-};
-
-const QMetaObject *G4UIQt::metaObject() const
-{
-    return &staticMetaObject;
-}
-
-void *G4UIQt::qt_metacast(const char *_clname)
-{
-    if (!_clname) return 0;
-    if (!strcmp(_clname, qt_meta_stringdata_G4UIQt))
-	return static_cast<void*>(const_cast< G4UIQt*>(this));
-    if (!strcmp(_clname, "G4VBasicShell"))
-	return static_cast< G4VBasicShell*>(const_cast< G4UIQt*>(this));
-    if (!strcmp(_clname, "G4VInteractiveSession"))
-	return static_cast< G4VInteractiveSession*>(const_cast< G4UIQt*>(this));
-    return QObject::qt_metacast(_clname);
-}
-
-int G4UIQt::qt_metacall(QMetaObject::Call _c, int _id, void **_a)
-{
-    _id = QObject::qt_metacall(_c, _id, _a);
-    if (_id < 0)
-        return _id;
-    if (_c == QMetaObject::InvokeMetaMethod) {
-        switch (_id) {
         case 0: myClicked((*reinterpret_cast< const QString(*)>(_a[1]))); break;
         case 1: ExitSession(); break;
@@ -354,5 +87,5 @@
         case 4: ButtonCallback((*reinterpret_cast< const QString(*)>(_a[1]))); break;
         case 5: HelpTreeClicCallback(); break;
-        case 6: HelpTreeDoubleClicCallback((*reinterpret_cast< QTreeWidgetItem*(*)>(_a[1]))); break;
+        case 6: HelpTreeDoubleClicCallback(); break;
         case 7: ShowHelpCallback(); break;
         case 8: CommandHistoryCallback(); break;
@@ -369,6 +102,2 @@
     QMetaObject::activate(this, &staticMetaObject, 0, _a);
 }
-
-#endif
-
-#endif
Index: /trunk/geant4/interfaces/basic/src/G4UIWin32.cc
===================================================================
--- /trunk/geant4/interfaces/basic/src/G4UIWin32.cc	(revision 647)
+++ /trunk/geant4/interfaces/basic/src/G4UIWin32.cc	(revision 648)
@@ -26,5 +26,5 @@
 //
 // $Id: G4UIWin32.cc,v 1.13 2006/06/29 19:09:45 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-00-ref-01 $
 //
 // G.Barrand
Index: /trunk/geant4/interfaces/basic/src/G4UIXaw.cc
===================================================================
--- /trunk/geant4/interfaces/basic/src/G4UIXaw.cc	(revision 647)
+++ /trunk/geant4/interfaces/basic/src/G4UIXaw.cc	(revision 648)
@@ -26,5 +26,5 @@
 //
 // $Id: G4UIXaw.cc,v 1.6 2006/06/29 19:09:47 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-00-ref-01 $
 //
 // G.Barrand
Index: /trunk/geant4/interfaces/basic/src/G4UIXm.cc
===================================================================
--- /trunk/geant4/interfaces/basic/src/G4UIXm.cc	(revision 647)
+++ /trunk/geant4/interfaces/basic/src/G4UIXm.cc	(revision 648)
@@ -26,5 +26,5 @@
 //
 // $Id: G4UIXm.cc,v 1.14 2006/06/29 19:09:49 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-00-ref-01 $
 //
 // G.Barrand
Index: /trunk/geant4/interfaces/basic/src/G4UIcsh.cc
===================================================================
--- /trunk/geant4/interfaces/basic/src/G4UIcsh.cc	(revision 647)
+++ /trunk/geant4/interfaces/basic/src/G4UIcsh.cc	(revision 648)
@@ -26,5 +26,5 @@
 //
 // $Id: G4UIcsh.cc,v 1.8 2006/06/29 19:09:51 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-00-ref-01 $
 //
 
Index: /trunk/geant4/interfaces/basic/src/G4VUIshell.cc
===================================================================
--- /trunk/geant4/interfaces/basic/src/G4VUIshell.cc	(revision 647)
+++ /trunk/geant4/interfaces/basic/src/G4VUIshell.cc	(revision 648)
@@ -26,5 +26,5 @@
 //
 // $Id: G4VUIshell.cc,v 1.10 2007/06/14 05:44:58 kmura Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-00-ref-01 $
 //
 
Index: /trunk/geant4/visualization/OpenGL/src/G4OpenGLQtExportDialog.cc
===================================================================
--- /trunk/geant4/visualization/OpenGL/src/G4OpenGLQtExportDialog.cc	(revision 647)
+++ /trunk/geant4/visualization/OpenGL/src/G4OpenGLQtExportDialog.cc	(revision 648)
@@ -1,3 +1,3 @@
- //
+//
 // ********************************************************************
 // * License and Disclaimer                                           *